# -*- coding: utf-8 -*-

################################################################################
## Form generated from reading UI file 'main.ui'
##
## Created by: Qt User Interface Compiler version 6.7.2
##
## WARNING! All changes made in this file will be lost when recompiling UI file!
################################################################################

import sys

from ..back.Program_Run.utils import resource_path

sys.path.append("../..")

import sqlite3
import os
from PySide6.QtCore import (QCoreApplication, QDate, QDateTime, QLocale,
                            QMetaObject, QObject, QPoint, QRect,
                            QSize, QTime, QUrl, Qt)
from PySide6.QtGui import (QBrush, QColor, QConicalGradient, QCursor,
                           QFont, QFontDatabase, QGradient, QIcon,
                           QImage, QKeySequence, QLinearGradient, QPainter,
                           QPalette, QPixmap, QRadialGradient, QTransform, QStandardItem, QStandardItemModel)
from PySide6.QtWidgets import (QApplication, QCheckBox, QComboBox, QFormLayout,
                               QFrame, QGridLayout, QHBoxLayout, QHeaderView,
                               QLabel, QLineEdit, QListView, QMainWindow,
                               QPushButton, QSizePolicy, QStackedWidget, QTabWidget,
                               QTableView, QTextEdit, QVBoxLayout, QWidget, QMessageBox, QTreeWidget)
from Front.back.Program_Run.data_show import Arrange_Data, Arrange_Data1, Arrange_Data2, Data_in_Cell, Data_in_Cell1, \
    Data_in_Cell2
from Front.back.Program_Run.database_operations import create_database_and_tables
from Front.back.Program_Run.file_system_watching import ComboBoxUpdater
from Front.back.GC.GCExport import main_function_example

from watchdog.observers import Observer

from .resources_rc import *


# 自定义 QLineEdit 类，屏蔽右键菜单
class CustomLineEdit(QLineEdit):
    def __init__(self, parent=None):
        super().__init__(parent)

    def contextMenuEvent(self, event):
        # 不执行任何操作，屏蔽右键菜单
        pass


class Ui_MainWindow(object):
    # UI界面
    def setupUi(self, MainWindow):
        self.main_window = MainWindow
        if not MainWindow.objectName():
            MainWindow.setObjectName(u"MainWindow")
        MainWindow.resize(940, 620)
        MainWindow.setMinimumSize(QSize(940, 620))
        MainWindow.setWindowIcon(QIcon("Front/icon.ico"))
        self.styleSheet = QWidget(MainWindow)
        self.styleSheet.setObjectName(u"styleSheet")
        font = QFont()
        font.setFamilies([u"Segoe UI"])
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.styleSheet.setFont(font)
        self.styleSheet.setStyleSheet(
            u"/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "\n"
            "SET APP STYLESHEET - FULL STYLES HERE\n"
            "DARK THEME - DRACULA COLOR BASED\n"
            "\n"
            "///////////////////////////////////////////////////////////////////////////////////////////////// */\n"
            "\n"
            "QWidget{\n"
            "	color: rgb(221, 221, 221);\n"
            "	font: 10pt \"Segoe UI\";\n"
            "}\n"
            "\n"
            "/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "Tooltip */\n"
            "QToolTip {\n"
            "	color: #ffffff;\n"
            "	background-color: rgba(33, 37, 43, 180);\n"
            "	border: 1px solid rgb(44, 49, 58);\n"
            "	background-image: none;\n"
            "	background-position: left center;\n"
            "    background-repeat: no-repeat;\n"
            "	border: none;\n"
            "	border-left: 2px solid rgb(255, 121, 198);\n"
            "	text-align: left;\n"
            "	padding-left: 8px;\n"
            "	margin: 0px;\n"
            "}\n"
            "\n"
            "/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "Bg App */\n"
            "#bgApp {	\n"
            "	background"
            "-color: rgb(40, 44, 52);\n"
            "	border: 1px solid rgb(44, 49, 58);\n"
            "}\n"
            "\n"
            "/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "Left Menu */\n"
            "#leftMenuBg {	\n"
            "	background-color: rgb(33, 37, 43);\n"
            "}\n"
            "#topLogo {\n"
            "	background-color: rgb(33, 37, 43);\n"
            "	background-image: url(:/images/images/images/PyDracula.png);\n"
            "	background-position: centered;\n"
            "	background-repeat: no-repeat;\n"
            "}\n"
            "#titleLeftApp { font: 63 12pt \"Segoe UI Semibold\"; }\n"
            "#titleLeftDescription { font: 8pt \"Segoe UI\"; color: rgb(189, 147, 249); }\n"
            "\n"
            "/* MENUS */\n"
            "#topMenu .QPushButton {	\n"
            "	background-position: left center;\n"
            "    background-repeat: no-repeat;\n"
            "	border: none;\n"
            "	border-left: 22px solid transparent;\n"
            "	background-color: transparent;\n"
            "	text-align: left;\n"
            "	padding-left: 44px;\n"
            "}\n"
            "#topMenu .QPushButton:hover {\n"
            "	background-color: rgb(40, 44, 52);\n"
            "}\n"
            "#topMenu .QPushButton:pressed {	\n"
            "	background-color: rgb(18"
            "9, 147, 249);\n"
            "	color: rgb(255, 255, 255);\n"
            "}\n"
            "#bottomMenu .QPushButton {	\n"
            "	background-position: left center;\n"
            "    background-repeat: no-repeat;\n"
            "	border: none;\n"
            "	border-left: 20px solid transparent;\n"
            "	background-color:transparent;\n"
            "	text-align: left;\n"
            "	padding-left: 44px;\n"
            "}\n"
            "#bottomMenu .QPushButton:hover {\n"
            "	background-color: rgb(40, 44, 52);\n"
            "}\n"
            "#bottomMenu .QPushButton:pressed {	\n"
            "	background-color: rgb(189, 147, 249);\n"
            "	color: rgb(255, 255, 255);\n"
            "}\n"
            "#leftMenuFrame{\n"
            "	border-top: 3px solid rgb(44, 49, 58);\n"
            "}\n"
            "\n"
            "/* Toggle Button */\n"
            "#toggleButton {\n"
            "	background-position: left center;\n"
            "    background-repeat: no-repeat;\n"
            "	border: none;\n"
            "	border-left: 20px solid transparent;\n"
            "	background-color: rgb(37, 41, 48);\n"
            "	text-align: left;\n"
            "	padding-left: 44px;\n"
            "	color: rgb(113, 126, 149);\n"
            "}\n"
            "#toggleButton:hover {\n"
            "	background-color: rgb(40, 44, 52);\n"
            "}\n"
            "#toggleButton:pressed {\n"
            "	background-color: rgb("
            "189, 147, 249);\n"
            "}\n"
            "\n"
            "/* Title Menu */\n"
            "#titleRightInfo { padding-left: 10px; }\n"
            "\n"
            "\n"
            "/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "Extra Tab */\n"
            "#extraLeftBox {	\n"
            "	background-color: rgb(44, 49, 58);\n"
            "}\n"
            "#extraTopBg{	\n"
            "	background-color: rgb(189, 147, 249)\n"
            "}\n"
            "\n"
            "/* Icon */\n"
            "#extraIcon {\n"
            "	background-position: center;\n"
            "	background-repeat: no-repeat;\n"
            "	background-image: url(:/icons/images/icons/icon_settings.png);\n"
            "}\n"
            "\n"
            "/* Label */\n"
            "#extraLabel { color: rgb(255, 255, 255); }\n"
            "\n"
            "/* Btn Close */\n"
            "#extraCloseColumnBtn { background-color: rgba(255, 255, 255, 0); border: none;  border-radius: 5px; }\n"
            "#extraCloseColumnBtn:hover { background-color: rgb(196, 161, 249); border-style: solid; border-radius: 4px; }\n"
            "#extraCloseColumnBtn:pressed { background-color: rgb(180, 141, 238); border-style: solid; border-radius: 4px; }\n"
            "\n"
            "/* Extra Content */\n"
            "#extraContent{\n"
            "	border"
            "-top: 3px solid rgb(40, 44, 52);\n"
            "}\n"
            "\n"
            "/* Extra Top Menus */\n"
            "#extraTopMenu .QPushButton {\n"
            "background-position: left center;\n"
            "    background-repeat: no-repeat;\n"
            "	border: none;\n"
            "	border-left: 22px solid transparent;\n"
            "	background-color:transparent;\n"
            "	text-align: left;\n"
            "	padding-left: 44px;\n"
            "}\n"
            "#extraTopMenu .QPushButton:hover {\n"
            "	background-color: rgb(40, 44, 52);\n"
            "}\n"
            "#extraTopMenu .QPushButton:pressed {	\n"
            "	background-color: rgb(189, 147, 249);\n"
            "	color: rgb(255, 255, 255);\n"
            "}\n"
            "\n"
            "/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "Content App */\n"
            "#contentTopBg{	\n"
            "	background-color: rgb(33, 37, 43);\n"
            "}\n"
            "#contentBottom{\n"
            "	border-top: 3px solid rgb(44, 49, 58);\n"
            "}\n"
            "\n"
            "/* Top Buttons */\n"
            "#rightButtons .QPushButton { background-color: rgba(255, 255, 255, 0); border: none;  border-radius: 5px; }\n"
            "#rightButtons .QPushButton:hover { background-color: rgb(44, 49, 57); border-sty"
            "le: solid; border-radius: 4px; }\n"
            "#rightButtons .QPushButton:pressed { background-color: rgb(23, 26, 30); border-style: solid; border-radius: 4px; }\n"
            "\n"
            "/* Theme Settings */\n"
            "#extraRightBox { background-color: rgb(44, 49, 58); }\n"
            "#themeSettingsTopDetail { background-color: rgb(189, 147, 249); }\n"
            "\n"
            "/* Bottom Bar */\n"
            "#bottomBar { background-color: rgb(44, 49, 58); }\n"
            "#bottomBar QLabel { font-size: 11px; color: rgb(113, 126, 149); padding-left: 10px; padding-right: 10px; padding-bottom: 2px; }\n"
            "\n"
            "/* CONTENT SETTINGS */\n"
            "/* MENUS */\n"
            "#contentSettings .QPushButton {	\n"
            "	background-position: left center;\n"
            "    background-repeat: no-repeat;\n"
            "	border: none;\n"
            "	border-left: 22px solid transparent;\n"
            "	background-color:transparent;\n"
            "	text-align: left;\n"
            "	padding-left: 44px;\n"
            "}\n"
            "#contentSettings .QPushButton:hover {\n"
            "	background-color: rgb(40, 44, 52);\n"
            "}\n"
            "#contentSettings .QPushButton:pressed {	\n"
            "	background-color: rgb(189, 147, 249);\n"
            "	color: rgb"
            "(255, 255, 255);\n"
            "}\n"
            "\n"
            "/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "QTableWidget */\n"
            "QTableWidget {	\n"
            "	background-color: transparent;\n"
            "	padding: 10px;\n"
            "	border-radius: 5px;\n"
            "	gridline-color: rgb(44, 49, 58);\n"
            "	border-bottom: 1px solid rgb(44, 49, 60);\n"
            "}\n"
            "QTableWidget::item{\n"
            "	border-color: rgb(44, 49, 60);\n"
            "	padding-left: 5px;\n"
            "	padding-right: 5px;\n"
            "	gridline-color: rgb(44, 49, 60);\n"
            "}\n"
            "QTableWidget::item:selected{\n"
            "	background-color: rgb(189, 147, 249);\n"
            "}\n"
            "QHeaderView::section{\n"
            "	background-color: rgb(33, 37, 43);\n"
            "	max-width: 30px;\n"
            "	border: 1px solid rgb(44, 49, 58);\n"
            "	border-style: none;\n"
            "    border-bottom: 1px solid rgb(44, 49, 60);\n"
            "    border-right: 1px solid rgb(44, 49, 60);\n"
            "}\n"
            "QTableWidget::horizontalHeader {	\n"
            "	background-color: rgb(33, 37, 43);\n"
            "}\n"
            "QHeaderView::section:horizontal\n"
            "{\n"
            "    border: 1px solid rgb(33, 37, 43);\n"
            "	background-co"
            "lor: rgb(33, 37, 43);\n"
            "	padding: 3px;\n"
            "	border-top-left-radius: 7px;\n"
            "    border-top-right-radius: 7px;\n"
            "}\n"
            "QHeaderView::section:vertical\n"
            "{\n"
            "    border: 1px solid rgb(44, 49, 60);\n"
            "}\n"
            "\n"
            "/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "LineEdit */\n"
            "QLineEdit {\n"
            "	background-color: rgb(33, 37, 43);\n"
            "	border-radius: 5px;\n"
            "	border: 2px solid rgb(33, 37, 43);\n"
            "	padding-left: 10px;\n"
            "	selection-color: rgb(255, 255, 255);\n"
            "	selection-background-color: rgb(255, 121, 198);\n"
            "}\n"
            "QLineEdit:hover {\n"
            "	border: 2px solid rgb(64, 71, 88);\n"
            "}\n"
            "QLineEdit:focus {\n"
            "	border: 2px solid rgb(91, 101, 124);\n"
            "}\n"
            "\n"
            "/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "PlainTextEdit */\n"
            "QPlainTextEdit {\n"
            "	background-color: rgb(27, 29, 35);\n"
            "	border-radius: 5px;\n"
            "	padding: 10px;\n"
            "	selection-color: rgb(255, 255, 255);\n"
            "	selection-background-c"
            "olor: rgb(255, 121, 198);\n"
            "}\n"
            "QPlainTextEdit  QScrollBar:vertical {\n"
            "    width: 8px;\n"
            " }\n"
            "QPlainTextEdit  QScrollBar:horizontal {\n"
            "    height: 8px;\n"
            " }\n"
            "QPlainTextEdit:hover {\n"
            "	border: 2px solid rgb(64, 71, 88);\n"
            "}\n"
            "QPlainTextEdit:focus {\n"
            "	border: 2px solid rgb(91, 101, 124);\n"
            "}\n"
            "\n"
            "/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "ScrollBars */\n"
            "QScrollBar:horizontal {\n"
            "    border: none;\n"
            "    background: rgb(52, 59, 72);\n"
            "    height: 8px;\n"
            "    margin: 0px 21px 0 21px;\n"
            "	border-radius: 0px;\n"
            "}\n"
            "QScrollBar::handle:horizontal {\n"
            "    background: rgb(189, 147, 249);\n"
            "    min-width: 25px;\n"
            "	border-radius: 4px\n"
            "}\n"
            "QScrollBar::add-line:horizontal {\n"
            "    border: none;\n"
            "    background: rgb(55, 63, 77);\n"
            "    width: 20px;\n"
            "	border-top-right-radius: 4px;\n"
            "    border-bottom-right-radius: 4px;\n"
            "    subcontrol-position: right;\n"
            "    subcontrol-origin: margin;\n"
            "}\n"
            ""
            "QScrollBar::sub-line:horizontal {\n"
            "    border: none;\n"
            "    background: rgb(55, 63, 77);\n"
            "    width: 20px;\n"
            "	border-top-left-radius: 4px;\n"
            "    border-bottom-left-radius: 4px;\n"
            "    subcontrol-position: left;\n"
            "    subcontrol-origin: margin;\n"
            "}\n"
            "QScrollBar::up-arrow:horizontal, QScrollBar::down-arrow:horizontal\n"
            "{\n"
            "     background: none;\n"
            "}\n"
            "QScrollBar::add-page:horizontal, QScrollBar::sub-page:horizontal\n"
            "{\n"
            "     background: none;\n"
            "}\n"
            " QScrollBar:vertical {\n"
            "	border: none;\n"
            "    background: rgb(52, 59, 72);\n"
            "    width: 8px;\n"
            "    margin: 21px 0 21px 0;\n"
            "	border-radius: 0px;\n"
            " }\n"
            " QScrollBar::handle:vertical {	\n"
            "	background: rgb(189, 147, 249);\n"
            "    min-height: 25px;\n"
            "	border-radius: 4px\n"
            " }\n"
            " QScrollBar::add-line:vertical {\n"
            "     border: none;\n"
            "    background: rgb(55, 63, 77);\n"
            "     height: 20px;\n"
            "	border-bottom-left-radius: 4px;\n"
            "    border-bottom-right-radius: 4px;\n"
            "     subcontrol-position: bottom;\n"
            "     su"
            "bcontrol-origin: margin;\n"
            " }\n"
            " QScrollBar::sub-line:vertical {\n"
            "	border: none;\n"
            "    background: rgb(55, 63, 77);\n"
            "     height: 20px;\n"
            "	border-top-left-radius: 4px;\n"
            "    border-top-right-radius: 4px;\n"
            "     subcontrol-position: top;\n"
            "     subcontrol-origin: margin;\n"
            " }\n"
            " QScrollBar::up-arrow:vertical, QScrollBar::down-arrow:vertical {\n"
            "     background: none;\n"
            " }\n"
            "\n"
            " QScrollBar::add-page:vertical, QScrollBar::sub-page:vertical {\n"
            "     background: none;\n"
            " }\n"
            "\n"
            "/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "CheckBox */\n"
            "QCheckBox::indicator {\n"
            "    border: 3px solid rgb(52, 59, 72);\n"
            "	width: 15px;\n"
            "	height: 15px;\n"
            "	border-radius: 10px;\n"
            "    background: rgb(44, 49, 60);\n"
            "}\n"
            "QCheckBox::indicator:hover {\n"
            "    border: 3px solid rgb(58, 66, 81);\n"
            "}\n"
            "QCheckBox::indicator:checked {\n"
            "    background: 3px solid rgb(52, 59, 72);\n"
            "	border: 3px solid rgb(52, 59, 72);	\n"
            "	back"
            "ground-image: url(:/icons/images/icons/cil-check-alt.png);\n"
            "}\n"
            "\n"
            "/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "RadioButton */\n"
            "QRadioButton::indicator {\n"
            "    border: 3px solid rgb(52, 59, 72);\n"
            "	width: 15px;\n"
            "	height: 15px;\n"
            "	border-radius: 10px;\n"
            "    background: rgb(44, 49, 60);\n"
            "}\n"
            "QRadioButton::indicator:hover {\n"
            "    border: 3px solid rgb(58, 66, 81);\n"
            "}\n"
            "QRadioButton::indicator:checked {\n"
            "    background: 3px solid rgb(94, 106, 130);\n"
            "	border: 3px solid rgb(52, 59, 72);	\n"
            "}\n"
            "\n"
            "/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "ComboBox */\n"
            "QComboBox{\n"
            "	background-color: rgb(27, 29, 35);\n"
            "	border-radius: 5px;\n"
            "	border: 2px solid rgb(33, 37, 43);\n"
            "	padding: 5px;\n"
            "	padding-left: 10px;\n"
            "}\n"
            "QComboBox:hover{\n"
            "	border: 2px solid rgb(64, 71, 88);\n"
            "}\n"
            "QComboBox::drop-down {\n"
            "	subcontrol-origin: padding;\n"
            "	subco"
            "ntrol-position: top right;\n"
            "	width: 25px; \n"
            "	border-left-width: 3px;\n"
            "	border-left-color: rgba(39, 44, 54, 150);\n"
            "	border-left-style: solid;\n"
            "	border-top-right-radius: 3px;\n"
            "	border-bottom-right-radius: 3px;	\n"
            "	background-image: url(:/icons/images/icons/cil-arrow-bottom.png);\n"
            "	background-position: center;\n"
            "	background-repeat: no-reperat;\n"
            " }\n"
            "QComboBox QAbstractItemView {\n"
            "	color: rgb(255, 121, 198);	\n"
            "	background-color: rgb(33, 37, 43);\n"
            "	padding: 10px;\n"
            "	selection-background-color: rgb(39, 44, 54);\n"
            "}\n"
            "\n"
            "/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "Sliders */\n"
            "QSlider::groove:horizontal {\n"
            "    border-radius: 5px;\n"
            "    height: 10px;\n"
            "	margin: 0px;\n"
            "	background-color: rgb(52, 59, 72);\n"
            "}\n"
            "QSlider::groove:horizontal:hover {\n"
            "	background-color: rgb(55, 62, 76);\n"
            "}\n"
            "QSlider::handle:horizontal {\n"
            "    background-color: rgb(189, 147, 249);\n"
            "    border: none;\n"
            "    h"
            "eight: 10px;\n"
            "    width: 10px;\n"
            "    margin: 0px;\n"
            "	border-radius: 5px;\n"
            "}\n"
            "QSlider::handle:horizontal:hover {\n"
            "    background-color: rgb(195, 155, 255);\n"
            "}\n"
            "QSlider::handle:horizontal:pressed {\n"
            "    background-color: rgb(255, 121, 198);\n"
            "}\n"
            "\n"
            "QSlider::groove:vertical {\n"
            "    border-radius: 5px;\n"
            "    width: 10px;\n"
            "    margin: 0px;\n"
            "	background-color: rgb(52, 59, 72);\n"
            "}\n"
            "QSlider::groove:vertical:hover {\n"
            "	background-color: rgb(55, 62, 76);\n"
            "}\n"
            "QSlider::handle:vertical {\n"
            "    background-color: rgb(189, 147, 249);\n"
            "	border: none;\n"
            "    height: 10px;\n"
            "    width: 10px;\n"
            "    margin: 0px;\n"
            "	border-radius: 5px;\n"
            "}\n"
            "QSlider::handle:vertical:hover {\n"
            "    background-color: rgb(195, 155, 255);\n"
            "}\n"
            "QSlider::handle:vertical:pressed {\n"
            "    background-color: rgb(255, 121, 198);\n"
            "}\n"
            "\n"
            "/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "CommandLinkButton */\n"
            "QCommandLi"
            "nkButton {	\n"
            "	color: rgb(255, 121, 198);\n"
            "	border-radius: 5px;\n"
            "	padding: 5px;\n"
            "	color: rgb(255, 170, 255);\n"
            "}\n"
            "QCommandLinkButton:hover {	\n"
            "	color: rgb(255, 170, 255);\n"
            "	background-color: rgb(44, 49, 60);\n"
            "}\n"
            "QCommandLinkButton:pressed {	\n"
            "	color: rgb(189, 147, 249);\n"
            "	background-color: rgb(52, 58, 71);\n"
            "}\n"
            "\n"
            "/* /////////////////////////////////////////////////////////////////////////////////////////////////\n"
            "Button */\n"
            "#pagesContainer QPushButton {\n"
            "	border: 2px solid rgb(52, 59, 72);\n"
            "	border-radius: 5px;	\n"
            "	background-color: rgb(52, 59, 72);\n"
            "}\n"
            "#pagesContainer QPushButton:hover {\n"
            "	background-color: rgb(57, 65, 80);\n"
            "	border: 2px solid rgb(61, 70, 86);\n"
            "}\n"
            "#pagesContainer QPushButton:pressed {	\n"
            "	background-color: rgb(35, 40, 49);\n"
            "	border: 2px solid rgb(43, 50, 61);\n"
            "}\n"
            "\n"
            "")
        self.appMargins = QVBoxLayout(self.styleSheet)
        self.appMargins.setSpacing(0)
        self.appMargins.setObjectName(u"appMargins")
        self.appMargins.setContentsMargins(10, 10, 10, 10)
        self.bgApp = QFrame(self.styleSheet)
        self.bgApp.setObjectName(u"bgApp")
        self.bgApp.setStyleSheet(u"")
        self.bgApp.setFrameShape(QFrame.Shape.NoFrame)
        self.bgApp.setFrameShadow(QFrame.Shadow.Raised)
        self.appLayout = QHBoxLayout(self.bgApp)
        self.appLayout.setSpacing(0)
        self.appLayout.setObjectName(u"appLayout")
        self.appLayout.setContentsMargins(0, 0, 0, 0)
        self.leftMenuBg = QFrame(self.bgApp)
        self.leftMenuBg.setObjectName(u"leftMenuBg")
        self.leftMenuBg.setMinimumSize(QSize(60, 0))
        self.leftMenuBg.setMaximumSize(QSize(60, 16777215))
        self.leftMenuBg.setFrameShape(QFrame.Shape.NoFrame)
        self.leftMenuBg.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_3 = QVBoxLayout(self.leftMenuBg)
        self.verticalLayout_3.setSpacing(0)
        self.verticalLayout_3.setObjectName(u"verticalLayout_3")
        self.verticalLayout_3.setContentsMargins(0, 0, 0, 0)
        self.topLogoInfo = QFrame(self.leftMenuBg)
        self.topLogoInfo.setObjectName(u"topLogoInfo")
        self.topLogoInfo.setMinimumSize(QSize(0, 50))
        self.topLogoInfo.setMaximumSize(QSize(16777215, 50))
        self.topLogoInfo.setFrameShape(QFrame.Shape.NoFrame)
        self.topLogoInfo.setFrameShadow(QFrame.Shadow.Raised)
        self.topLogo = QFrame(self.topLogoInfo)
        self.topLogo.setObjectName(u"topLogo")
        self.topLogo.setGeometry(QRect(10, 5, 42, 42))
        self.topLogo.setMinimumSize(QSize(42, 42))
        self.topLogo.setMaximumSize(QSize(42, 42))
        self.topLogo.setStyleSheet(u"background-image: url(:/images/images/images/logo.png);")
        self.topLogo.setFrameShape(QFrame.Shape.NoFrame)
        self.topLogo.setFrameShadow(QFrame.Shadow.Raised)
        self.titleLeftApp = QLabel(self.topLogoInfo)
        self.titleLeftApp.setObjectName(u"titleLeftApp")
        self.titleLeftApp.setGeometry(QRect(70, 8, 160, 20))
        font1 = QFont()
        font1.setFamilies([u"Segoe UI Semibold"])
        font1.setPointSize(12)
        # font1.setWeight(QFont.)
        font1.setItalic(False)
        self.titleLeftApp.setFont(font1)
        self.titleLeftApp.setAlignment(
            Qt.AlignmentFlag.AlignLeading | Qt.AlignmentFlag.AlignLeft | Qt.AlignmentFlag.AlignTop)
        self.titleLeftDescription = QLabel(self.topLogoInfo)
        self.titleLeftDescription.setObjectName(u"titleLeftDescription")
        self.titleLeftDescription.setGeometry(QRect(70, 27, 160, 16))
        self.titleLeftDescription.setMaximumSize(QSize(16777215, 16))
        font2 = QFont()
        font2.setFamilies([u"Segoe UI"])
        font2.setPointSize(8)
        font2.setBold(False)
        font2.setItalic(False)
        self.titleLeftDescription.setFont(font2)
        self.titleLeftDescription.setAlignment(
            Qt.AlignmentFlag.AlignLeading | Qt.AlignmentFlag.AlignLeft | Qt.AlignmentFlag.AlignTop)

        self.verticalLayout_3.addWidget(self.topLogoInfo)

        self.leftMenuFrame = QFrame(self.leftMenuBg)
        self.leftMenuFrame.setObjectName(u"leftMenuFrame")
        self.leftMenuFrame.setFrameShape(QFrame.Shape.NoFrame)
        self.leftMenuFrame.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalMenuLayout = QVBoxLayout(self.leftMenuFrame)
        self.verticalMenuLayout.setSpacing(0)
        self.verticalMenuLayout.setObjectName(u"verticalMenuLayout")
        self.verticalMenuLayout.setContentsMargins(0, 0, 0, 0)
        self.toggleBox = QFrame(self.leftMenuFrame)
        self.toggleBox.setObjectName(u"toggleBox")
        self.toggleBox.setMaximumSize(QSize(16777215, 45))
        self.toggleBox.setFrameShape(QFrame.Shape.NoFrame)
        self.toggleBox.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_4 = QVBoxLayout(self.toggleBox)
        self.verticalLayout_4.setSpacing(0)
        self.verticalLayout_4.setObjectName(u"verticalLayout_4")
        self.verticalLayout_4.setContentsMargins(0, 0, 0, 0)
        self.toggleButton = QPushButton(self.toggleBox)
        self.toggleButton.setObjectName(u"toggleButton")
        sizePolicy = QSizePolicy(QSizePolicy.Policy.Expanding, QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.toggleButton.sizePolicy().hasHeightForWidth())
        self.toggleButton.setSizePolicy(sizePolicy)
        self.toggleButton.setMinimumSize(QSize(0, 45))
        self.toggleButton.setFont(font)
        self.toggleButton.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        self.toggleButton.setLayoutDirection(Qt.LayoutDirection.LeftToRight)
        self.toggleButton.setStyleSheet(u"background-image: url(:/icons/images/icons/icon_menu.png);")

        self.verticalLayout_4.addWidget(self.toggleButton)

        self.verticalMenuLayout.addWidget(self.toggleBox)

        self.topMenu = QFrame(self.leftMenuFrame)
        self.topMenu.setObjectName(u"topMenu")
        self.topMenu.setFrameShape(QFrame.Shape.NoFrame)
        self.topMenu.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_8 = QVBoxLayout(self.topMenu)
        self.verticalLayout_8.setSpacing(0)
        self.verticalLayout_8.setObjectName(u"verticalLayout_8")
        self.verticalLayout_8.setContentsMargins(0, 0, 0, 0)
        self.btn_home = QPushButton(self.topMenu)
        self.btn_home.setObjectName(u"btn_home")
        sizePolicy.setHeightForWidth(self.btn_home.sizePolicy().hasHeightForWidth())
        self.btn_home.setSizePolicy(sizePolicy)
        self.btn_home.setMinimumSize(QSize(0, 45))
        self.btn_home.setFont(font)
        self.btn_home.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        self.btn_home.setLayoutDirection(Qt.LayoutDirection.LeftToRight)
        self.btn_home.setStyleSheet(u"background-image: url(:/icons/images/icons/cil-home.png);")

        self.verticalLayout_8.addWidget(self.btn_home)

        self.btn_widgets = QPushButton(self.topMenu)
        self.btn_widgets.setObjectName(u"btn_widgets")
        sizePolicy.setHeightForWidth(self.btn_widgets.sizePolicy().hasHeightForWidth())
        self.btn_widgets.setSizePolicy(sizePolicy)
        self.btn_widgets.setMinimumSize(QSize(0, 45))
        self.btn_widgets.setFont(font)
        self.btn_widgets.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        self.btn_widgets.setLayoutDirection(Qt.LayoutDirection.LeftToRight)
        self.btn_widgets.setStyleSheet(u"background-image: url(:/icons/images/icons/cil-chart.png);")

        self.verticalLayout_8.addWidget(self.btn_widgets)

        self.btn_new = QPushButton(self.topMenu)
        self.btn_new.setObjectName(u"btn_new")
        sizePolicy.setHeightForWidth(self.btn_new.sizePolicy().hasHeightForWidth())
        self.btn_new.setSizePolicy(sizePolicy)
        self.btn_new.setMinimumSize(QSize(0, 45))
        self.btn_new.setFont(font)
        self.btn_new.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        self.btn_new.setLayoutDirection(Qt.LayoutDirection.LeftToRight)
        self.btn_new.setStyleSheet(u"background-image: url(:/icons/images/icons/cil-laptop.png);")

        self.verticalLayout_8.addWidget(self.btn_new)

        self.btn_data = QPushButton(self.topMenu)
        self.btn_data.setObjectName(u"btn_data")
        sizePolicy.setHeightForWidth(self.btn_data.sizePolicy().hasHeightForWidth())
        self.btn_data.setSizePolicy(sizePolicy)
        self.btn_data.setMinimumSize(QSize(0, 45))
        self.btn_data.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        self.btn_data.setStyleSheet(u"background-image: url(:/icons/images/icons/cil-library.png);")

        self.verticalLayout_8.addWidget(self.btn_data)

        self.verticalMenuLayout.addWidget(self.topMenu, 0, Qt.AlignmentFlag.AlignTop)

        self.bottomMenu = QFrame(self.leftMenuFrame)
        self.bottomMenu.setObjectName(u"bottomMenu")
        self.bottomMenu.setFrameShape(QFrame.Shape.NoFrame)
        self.bottomMenu.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_9 = QVBoxLayout(self.bottomMenu)
        self.verticalLayout_9.setSpacing(0)
        self.verticalLayout_9.setObjectName(u"verticalLayout_9")
        self.verticalLayout_9.setContentsMargins(0, 0, 0, 0)

        self.verticalMenuLayout.addWidget(self.bottomMenu, 0, Qt.AlignmentFlag.AlignBottom)

        self.verticalLayout_3.addWidget(self.leftMenuFrame)

        self.appLayout.addWidget(self.leftMenuBg)

        self.extraLeftBox = QFrame(self.bgApp)
        self.extraLeftBox.setObjectName(u"extraLeftBox")
        self.extraLeftBox.setMinimumSize(QSize(0, 0))
        self.extraLeftBox.setMaximumSize(QSize(0, 16777215))
        self.extraLeftBox.setFrameShape(QFrame.Shape.NoFrame)
        self.extraLeftBox.setFrameShadow(QFrame.Shadow.Raised)
        self.extraColumLayout = QVBoxLayout(self.extraLeftBox)
        self.extraColumLayout.setSpacing(0)
        self.extraColumLayout.setObjectName(u"extraColumLayout")
        self.extraColumLayout.setContentsMargins(0, 0, 0, 0)
        self.extraTopBg = QFrame(self.extraLeftBox)
        self.extraTopBg.setObjectName(u"extraTopBg")
        self.extraTopBg.setMinimumSize(QSize(0, 50))
        self.extraTopBg.setMaximumSize(QSize(16777215, 50))
        self.extraTopBg.setFrameShape(QFrame.Shape.NoFrame)
        self.extraTopBg.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_5 = QVBoxLayout(self.extraTopBg)
        self.verticalLayout_5.setSpacing(0)
        self.verticalLayout_5.setObjectName(u"verticalLayout_5")
        self.verticalLayout_5.setContentsMargins(0, 0, 0, 0)
        self.extraTopLayout = QGridLayout()
        self.extraTopLayout.setObjectName(u"extraTopLayout")
        self.extraTopLayout.setHorizontalSpacing(10)
        self.extraTopLayout.setVerticalSpacing(0)
        self.extraTopLayout.setContentsMargins(10, -1, 10, -1)
        self.extraIcon = QFrame(self.extraTopBg)
        self.extraIcon.setObjectName(u"extraIcon")
        self.extraIcon.setMinimumSize(QSize(20, 0))
        self.extraIcon.setMaximumSize(QSize(20, 20))
        self.extraIcon.setFrameShape(QFrame.Shape.NoFrame)
        self.extraIcon.setFrameShadow(QFrame.Shadow.Raised)

        self.extraTopLayout.addWidget(self.extraIcon, 0, 0, 1, 1)

        self.extraLabel = QLabel(self.extraTopBg)
        self.extraLabel.setObjectName(u"extraLabel")
        self.extraLabel.setMinimumSize(QSize(150, 0))

        self.extraTopLayout.addWidget(self.extraLabel, 0, 1, 1, 1)

        self.extraCloseColumnBtn = QPushButton(self.extraTopBg)
        self.extraCloseColumnBtn.setObjectName(u"extraCloseColumnBtn")
        self.extraCloseColumnBtn.setMinimumSize(QSize(28, 28))
        self.extraCloseColumnBtn.setMaximumSize(QSize(28, 28))
        self.extraCloseColumnBtn.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        icon = QIcon()
        icon.addFile(u":/icons/images/icons/icon_close.png", QSize(), QIcon.Mode.Normal, QIcon.State.Off)
        self.extraCloseColumnBtn.setIcon(icon)
        self.extraCloseColumnBtn.setIconSize(QSize(20, 20))

        self.extraTopLayout.addWidget(self.extraCloseColumnBtn, 0, 2, 1, 1)

        self.verticalLayout_5.addLayout(self.extraTopLayout)

        self.extraColumLayout.addWidget(self.extraTopBg)

        self.extraContent = QFrame(self.extraLeftBox)
        self.extraContent.setObjectName(u"extraContent")
        self.extraContent.setFrameShape(QFrame.Shape.NoFrame)
        self.extraContent.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_12 = QVBoxLayout(self.extraContent)
        self.verticalLayout_12.setSpacing(0)
        self.verticalLayout_12.setObjectName(u"verticalLayout_12")
        self.verticalLayout_12.setContentsMargins(0, 0, 0, 0)
        self.extraTopMenu = QFrame(self.extraContent)
        self.extraTopMenu.setObjectName(u"extraTopMenu")
        self.extraTopMenu.setFrameShape(QFrame.Shape.NoFrame)
        self.extraTopMenu.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_11 = QVBoxLayout(self.extraTopMenu)
        self.verticalLayout_11.setSpacing(0)
        self.verticalLayout_11.setObjectName(u"verticalLayout_11")
        self.verticalLayout_11.setContentsMargins(0, 0, 0, 0)
        self.btn_share = QPushButton(self.extraTopMenu)
        self.btn_share.setObjectName(u"btn_share")
        sizePolicy.setHeightForWidth(self.btn_share.sizePolicy().hasHeightForWidth())
        self.btn_share.setSizePolicy(sizePolicy)
        self.btn_share.setMinimumSize(QSize(0, 45))
        self.btn_share.setFont(font)
        self.btn_share.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        self.btn_share.setLayoutDirection(Qt.LayoutDirection.LeftToRight)
        self.btn_share.setStyleSheet(u"background-image: url(:/icons/images/icons/cil-share-boxed.png);")

        self.verticalLayout_11.addWidget(self.btn_share)

        self.btn_adjustments = QPushButton(self.extraTopMenu)
        self.btn_adjustments.setObjectName(u"btn_adjustments")
        sizePolicy.setHeightForWidth(self.btn_adjustments.sizePolicy().hasHeightForWidth())
        self.btn_adjustments.setSizePolicy(sizePolicy)
        self.btn_adjustments.setMinimumSize(QSize(0, 45))
        self.btn_adjustments.setFont(font)
        self.btn_adjustments.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        self.btn_adjustments.setLayoutDirection(Qt.LayoutDirection.LeftToRight)
        self.btn_adjustments.setStyleSheet(u"background-image: url(:/icons/images/icons/cil-equalizer.png);")

        self.verticalLayout_11.addWidget(self.btn_adjustments)

        self.btn_more = QPushButton(self.extraTopMenu)
        self.btn_more.setObjectName(u"btn_more")
        sizePolicy.setHeightForWidth(self.btn_more.sizePolicy().hasHeightForWidth())
        self.btn_more.setSizePolicy(sizePolicy)
        self.btn_more.setMinimumSize(QSize(0, 45))
        self.btn_more.setFont(font)
        self.btn_more.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        self.btn_more.setLayoutDirection(Qt.LayoutDirection.LeftToRight)
        self.btn_more.setStyleSheet(u"background-image: url(:/icons/images/icons/cil-layers.png);")

        self.verticalLayout_11.addWidget(self.btn_more)

        self.verticalLayout_12.addWidget(self.extraTopMenu, 0, Qt.AlignmentFlag.AlignTop)

        self.extraCenter = QFrame(self.extraContent)
        self.extraCenter.setObjectName(u"extraCenter")
        self.extraCenter.setFrameShape(QFrame.Shape.NoFrame)
        self.extraCenter.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_10 = QVBoxLayout(self.extraCenter)
        self.verticalLayout_10.setObjectName(u"verticalLayout_10")
        self.textEdit = QTextEdit(self.extraCenter)
        self.textEdit.setObjectName(u"textEdit")
        self.textEdit.setMinimumSize(QSize(222, 0))
        self.textEdit.setStyleSheet(u"background: transparent;")
        self.textEdit.setFrameShape(QFrame.Shape.NoFrame)
        self.textEdit.setReadOnly(True)

        self.verticalLayout_10.addWidget(self.textEdit)

        self.verticalLayout_12.addWidget(self.extraCenter)

        self.extraBottom = QFrame(self.extraContent)
        self.extraBottom.setObjectName(u"extraBottom")
        self.extraBottom.setFrameShape(QFrame.Shape.NoFrame)
        self.extraBottom.setFrameShadow(QFrame.Shadow.Raised)

        self.verticalLayout_12.addWidget(self.extraBottom)

        self.extraColumLayout.addWidget(self.extraContent)

        self.appLayout.addWidget(self.extraLeftBox)

        self.contentBox = QFrame(self.bgApp)
        self.contentBox.setObjectName(u"contentBox")
        self.contentBox.setFrameShape(QFrame.Shape.NoFrame)
        self.contentBox.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_2 = QVBoxLayout(self.contentBox)
        self.verticalLayout_2.setSpacing(0)
        self.verticalLayout_2.setObjectName(u"verticalLayout_2")
        self.verticalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.contentTopBg = QFrame(self.contentBox)
        self.contentTopBg.setObjectName(u"contentTopBg")
        self.contentTopBg.setMinimumSize(QSize(0, 50))
        self.contentTopBg.setMaximumSize(QSize(16777215, 50))
        self.contentTopBg.setFrameShape(QFrame.Shape.NoFrame)
        self.contentTopBg.setFrameShadow(QFrame.Shadow.Raised)
        self.horizontalLayout = QHBoxLayout(self.contentTopBg)
        self.horizontalLayout.setSpacing(0)
        self.horizontalLayout.setObjectName(u"horizontalLayout")
        self.horizontalLayout.setContentsMargins(0, 0, 10, 0)
        self.leftBox = QFrame(self.contentTopBg)
        self.leftBox.setObjectName(u"leftBox")
        sizePolicy1 = QSizePolicy(QSizePolicy.Policy.Expanding, QSizePolicy.Policy.Preferred)
        sizePolicy1.setHorizontalStretch(0)
        sizePolicy1.setVerticalStretch(0)
        sizePolicy1.setHeightForWidth(self.leftBox.sizePolicy().hasHeightForWidth())
        self.leftBox.setSizePolicy(sizePolicy1)
        self.leftBox.setFrameShape(QFrame.Shape.NoFrame)
        self.leftBox.setFrameShadow(QFrame.Shadow.Raised)
        self.horizontalLayout_3 = QHBoxLayout(self.leftBox)
        self.horizontalLayout_3.setSpacing(0)
        self.horizontalLayout_3.setObjectName(u"horizontalLayout_3")
        self.horizontalLayout_3.setContentsMargins(0, 0, 0, 0)
        self.titleRightInfo = QLabel(self.leftBox)
        self.titleRightInfo.setObjectName(u"titleRightInfo")
        sizePolicy2 = QSizePolicy(QSizePolicy.Policy.Preferred, QSizePolicy.Policy.Expanding)
        sizePolicy2.setHorizontalStretch(0)
        sizePolicy2.setVerticalStretch(0)
        sizePolicy2.setHeightForWidth(self.titleRightInfo.sizePolicy().hasHeightForWidth())
        self.titleRightInfo.setSizePolicy(sizePolicy2)
        self.titleRightInfo.setMaximumSize(QSize(16777215, 45))
        self.titleRightInfo.setFont(font)
        self.titleRightInfo.setAlignment(
            Qt.AlignmentFlag.AlignLeading | Qt.AlignmentFlag.AlignLeft | Qt.AlignmentFlag.AlignVCenter)

        self.horizontalLayout_3.addWidget(self.titleRightInfo)

        self.horizontalLayout.addWidget(self.leftBox)

        self.rightButtons = QFrame(self.contentTopBg)
        self.rightButtons.setObjectName(u"rightButtons")
        self.rightButtons.setMinimumSize(QSize(0, 28))
        self.rightButtons.setFrameShape(QFrame.Shape.NoFrame)
        self.rightButtons.setFrameShadow(QFrame.Shadow.Raised)
        self.horizontalLayout_2 = QHBoxLayout(self.rightButtons)
        self.horizontalLayout_2.setSpacing(5)
        self.horizontalLayout_2.setObjectName(u"horizontalLayout_2")
        self.horizontalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.settingsTopBtn = QPushButton(self.rightButtons)
        self.settingsTopBtn.setObjectName(u"settingsTopBtn")
        self.settingsTopBtn.setMinimumSize(QSize(28, 28))
        self.settingsTopBtn.setMaximumSize(QSize(28, 28))
        self.settingsTopBtn.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        icon1 = QIcon()
        icon1.addFile(u":/icons/images/icons/icon_settings.png", QSize(), QIcon.Mode.Normal, QIcon.State.Off)
        self.settingsTopBtn.setIcon(icon1)
        self.settingsTopBtn.setIconSize(QSize(20, 20))

        self.horizontalLayout_2.addWidget(self.settingsTopBtn)

        self.minimizeAppBtn = QPushButton(self.rightButtons)
        self.minimizeAppBtn.setObjectName(u"minimizeAppBtn")
        self.minimizeAppBtn.setMinimumSize(QSize(28, 28))
        self.minimizeAppBtn.setMaximumSize(QSize(28, 28))
        self.minimizeAppBtn.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        icon2 = QIcon()
        icon2.addFile(u":/icons/images/icons/icon_minimize.png", QSize(), QIcon.Mode.Normal, QIcon.State.Off)
        self.minimizeAppBtn.setIcon(icon2)
        self.minimizeAppBtn.setIconSize(QSize(20, 20))

        self.horizontalLayout_2.addWidget(self.minimizeAppBtn)

        self.maximizeRestoreAppBtn = QPushButton(self.rightButtons)
        self.maximizeRestoreAppBtn.setObjectName(u"maximizeRestoreAppBtn")
        self.maximizeRestoreAppBtn.setMinimumSize(QSize(28, 28))
        self.maximizeRestoreAppBtn.setMaximumSize(QSize(28, 28))
        font3 = QFont()
        font3.setFamilies([u"Segoe UI"])
        font3.setPointSize(10)
        font3.setBold(False)
        font3.setItalic(False)
        font3.setStyleStrategy(QFont.PreferDefault)
        self.maximizeRestoreAppBtn.setFont(font3)
        self.maximizeRestoreAppBtn.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        icon3 = QIcon()
        icon3.addFile(u":/icons/images/icons/icon_maximize.png", QSize(), QIcon.Mode.Normal, QIcon.State.Off)
        self.maximizeRestoreAppBtn.setIcon(icon3)
        self.maximizeRestoreAppBtn.setIconSize(QSize(20, 20))

        self.horizontalLayout_2.addWidget(self.maximizeRestoreAppBtn)

        self.closeAppBtn = QPushButton(self.rightButtons)
        self.closeAppBtn.setObjectName(u"closeAppBtn")
        self.closeAppBtn.setMinimumSize(QSize(28, 28))
        self.closeAppBtn.setMaximumSize(QSize(28, 28))
        self.closeAppBtn.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        self.closeAppBtn.setIcon(icon)
        self.closeAppBtn.setIconSize(QSize(20, 20))

        self.horizontalLayout_2.addWidget(self.closeAppBtn)

        self.horizontalLayout.addWidget(self.rightButtons, 0, Qt.AlignmentFlag.AlignRight)

        self.verticalLayout_2.addWidget(self.contentTopBg)

        self.contentBottom = QFrame(self.contentBox)
        self.contentBottom.setObjectName(u"contentBottom")
        self.contentBottom.setFrameShape(QFrame.Shape.NoFrame)
        self.contentBottom.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_6 = QVBoxLayout(self.contentBottom)
        self.verticalLayout_6.setSpacing(0)
        self.verticalLayout_6.setObjectName(u"verticalLayout_6")
        self.verticalLayout_6.setContentsMargins(0, 0, 0, 0)
        self.content = QFrame(self.contentBottom)
        self.content.setObjectName(u"content")
        self.content.setFrameShape(QFrame.Shape.NoFrame)
        self.content.setFrameShadow(QFrame.Shadow.Raised)
        self.horizontalLayout_4 = QHBoxLayout(self.content)
        self.horizontalLayout_4.setSpacing(0)
        self.horizontalLayout_4.setObjectName(u"horizontalLayout_4")
        self.horizontalLayout_4.setContentsMargins(0, 0, 0, 0)
        self.pagesContainer = QFrame(self.content)
        self.pagesContainer.setObjectName(u"pagesContainer")
        self.pagesContainer.setStyleSheet(u"")
        self.pagesContainer.setFrameShape(QFrame.Shape.NoFrame)
        self.pagesContainer.setFrameShadow(QFrame.Shadow.Raised)
        self.gridLayout_3 = QGridLayout(self.pagesContainer)
        self.gridLayout_3.setObjectName(u"gridLayout_3")
        self.gridLayout_3.setContentsMargins(10, 10, 10, 10)
        self.stackedWidget = QStackedWidget(self.pagesContainer)
        self.stackedWidget.setObjectName(u"stackedWidget")
        sizePolicy3 = QSizePolicy(QSizePolicy.Policy.Preferred, QSizePolicy.Policy.Preferred)
        sizePolicy3.setHorizontalStretch(0)
        sizePolicy3.setVerticalStretch(0)
        sizePolicy3.setHeightForWidth(self.stackedWidget.sizePolicy().hasHeightForWidth())
        self.stackedWidget.setSizePolicy(sizePolicy3)
        self.stackedWidget.setStyleSheet(u"background: transparent;")
        self.stackedWidget.setFrameShadow(QFrame.Shadow.Plain)
        self.stackedWidget.setLineWidth(1)
        self.home = QWidget()
        self.home.setObjectName(u"home")
        self.home.setStyleSheet(u"")
        self.verticalLayout_15 = QVBoxLayout(self.home)
        self.verticalLayout_15.setObjectName(u"verticalLayout_15")
        self.verticalLayout_21 = QVBoxLayout()
        self.verticalLayout_21.setObjectName(u"verticalLayout_21")
        self.title_func = QLabel(self.home)
        self.title_func.setObjectName(u"title_func")
        self.title_func.setMaximumSize(QSize(16777215, 35))
        self.title_func.setFont(font)

        self.verticalLayout_21.addWidget(self.title_func)

        self.horizontalLayout_13 = QHBoxLayout()
        self.horizontalLayout_13.setSpacing(60)
        self.horizontalLayout_13.setObjectName(u"horizontalLayout_13")
        self.process_1 = QVBoxLayout()
        self.process_1.setObjectName(u"process_1")
        self.frame = QFrame(self.home)
        self.frame.setObjectName(u"frame")
        self.frame.setFrameShape(QFrame.Shape.StyledPanel)
        self.frame.setFrameShadow(QFrame.Shadow.Plain)
        self.frame.setLineWidth(1)
        self.layoutWidget = QWidget(self.frame)
        self.layoutWidget.setObjectName(u"layoutWidget")
        self.layoutWidget.setGeometry(QRect(0, 0, 161, 41))
        self.horizontalLayout_6 = QHBoxLayout(self.layoutWidget)
        self.horizontalLayout_6.setSpacing(10)
        self.horizontalLayout_6.setObjectName(u"horizontalLayout_6")
        self.horizontalLayout_6.setContentsMargins(0, 0, 0, 0)
        self.num_1 = QLabel(self.layoutWidget)
        self.num_1.setObjectName(u"num_1")
        self.num_1.setMaximumSize(QSize(25, 25))
        self.num_1.setStyleSheet(u"background-image: url(:/icons/images/icons/No1.png);\n"
                                 "background-repeat:no-repeat")

        self.horizontalLayout_6.addWidget(self.num_1)

        self.text_1 = QLabel(self.layoutWidget)
        self.text_1.setObjectName(u"text_1")
        self.text_1.setMaximumSize(QSize(60, 27))

        self.horizontalLayout_6.addWidget(self.text_1)

        self.description1 = QLabel(self.frame)
        self.description1.setObjectName(u"description1")
        self.description1.setGeometry(QRect(35, 145, 91, 36))
        self.description1.setAlignment(Qt.AlignmentFlag.AlignCenter)
        self.description1.setWordWrap(True)
        self.img_1 = QLabel(self.frame)
        self.img_1.setObjectName(u"img_1")
        self.img_1.setGeometry(QRect(45, 50, 71, 81))
        self.img_1.setStyleSheet(u"background-image: url(:/icons/images/icons/excel.png);\n"
                                 "background-repeat:no-repeat;\n"
                                 "")

        self.process_1.addWidget(self.frame)

        self.horizontalLayout_13.addLayout(self.process_1)

        self.process_2 = QVBoxLayout()
        self.process_2.setObjectName(u"process_2")
        self.frame_2 = QFrame(self.home)
        self.frame_2.setObjectName(u"frame_2")
        self.frame_2.setFrameShape(QFrame.Shape.StyledPanel)
        self.frame_2.setFrameShadow(QFrame.Shadow.Plain)
        self.layoutWidget_3 = QWidget(self.frame_2)
        self.layoutWidget_3.setObjectName(u"layoutWidget_3")
        self.layoutWidget_3.setGeometry(QRect(0, 0, 161, 41))
        self.horizontalLayout_7 = QHBoxLayout(self.layoutWidget_3)
        self.horizontalLayout_7.setSpacing(10)
        self.horizontalLayout_7.setObjectName(u"horizontalLayout_7")
        self.horizontalLayout_7.setContentsMargins(0, 0, 0, 0)
        self.num_2 = QLabel(self.layoutWidget_3)
        self.num_2.setObjectName(u"num_2")
        self.num_2.setMaximumSize(QSize(25, 25))
        self.num_2.setStyleSheet(u"background-image: url(:/icons/images/icons/No2.png);\n"
                                 "background-repeat:no-repeat")

        self.horizontalLayout_7.addWidget(self.num_2)

        self.text_2 = QLabel(self.layoutWidget_3)
        self.text_2.setObjectName(u"text_2")
        self.text_2.setMaximumSize(QSize(60, 27))

        self.horizontalLayout_7.addWidget(self.text_2)

        self.description1_2 = QLabel(self.frame_2)
        self.description1_2.setObjectName(u"description1_2")
        self.description1_2.setGeometry(QRect(25, 140, 111, 61))
        self.description1_2.setAlignment(Qt.AlignmentFlag.AlignCenter)
        self.description1_2.setWordWrap(True)
        self.img_2 = QLabel(self.frame_2)
        self.img_2.setObjectName(u"img_2")
        self.img_2.setGeometry(QRect(45, 50, 81, 71))
        self.img_2.setStyleSheet(u"background-image: url(:/icons/images/icons/view.png);\n"
                                 "background-repeat:no-repeat;")

        self.process_2.addWidget(self.frame_2)

        self.horizontalLayout_13.addLayout(self.process_2)

        self.process_3 = QVBoxLayout()
        self.process_3.setObjectName(u"process_3")
        self.frame_3 = QFrame(self.home)
        self.frame_3.setObjectName(u"frame_3")
        self.frame_3.setFrameShape(QFrame.Shape.StyledPanel)
        self.frame_3.setFrameShadow(QFrame.Shadow.Plain)
        self.layoutWidget_5 = QWidget(self.frame_3)
        self.layoutWidget_5.setObjectName(u"layoutWidget_5")
        self.layoutWidget_5.setGeometry(QRect(0, 0, 161, 41))
        self.horizontalLayout_8 = QHBoxLayout(self.layoutWidget_5)
        self.horizontalLayout_8.setSpacing(10)
        self.horizontalLayout_8.setObjectName(u"horizontalLayout_8")
        self.horizontalLayout_8.setContentsMargins(0, 0, 0, 0)
        self.num_3 = QLabel(self.layoutWidget_5)
        self.num_3.setObjectName(u"num_3")
        self.num_3.setMaximumSize(QSize(25, 25))
        self.num_3.setStyleSheet(u"background-image: url(:/icons/images/icons/No3.png);\n"
                                 "background-repeat:no-repeat")

        self.horizontalLayout_8.addWidget(self.num_3)

        self.text_3 = QLabel(self.layoutWidget_5)
        self.text_3.setObjectName(u"text_3")
        self.text_3.setMaximumSize(QSize(60, 27))

        self.horizontalLayout_8.addWidget(self.text_3)

        self.description1_3 = QLabel(self.frame_3)
        self.description1_3.setObjectName(u"description1_3")
        self.description1_3.setGeometry(QRect(20, 139, 121, 61))
        self.description1_3.setAlignment(Qt.AlignmentFlag.AlignCenter)
        self.description1_3.setWordWrap(True)
        self.img_3 = QLabel(self.frame_3)
        self.img_3.setObjectName(u"img_3")
        self.img_3.setGeometry(QRect(45, 50, 71, 81))
        self.img_3.setStyleSheet(u"background-image: url(:/icons/images/icons/data.png);\n"
                                 "background-repeat:no-repeat;")

        self.process_3.addWidget(self.frame_3)

        self.horizontalLayout_13.addLayout(self.process_3)

        self.process_4 = QVBoxLayout()
        self.process_4.setObjectName(u"process_4")
        self.frame_4 = QFrame(self.home)
        self.frame_4.setObjectName(u"frame_4")
        self.frame_4.setFrameShape(QFrame.Shape.StyledPanel)
        self.frame_4.setFrameShadow(QFrame.Shadow.Plain)
        self.layoutWidget_7 = QWidget(self.frame_4)
        self.layoutWidget_7.setObjectName(u"layoutWidget_7")
        self.layoutWidget_7.setGeometry(QRect(0, 0, 161, 41))
        self.horizontalLayout_10 = QHBoxLayout(self.layoutWidget_7)
        self.horizontalLayout_10.setSpacing(10)
        self.horizontalLayout_10.setObjectName(u"horizontalLayout_10")
        self.horizontalLayout_10.setContentsMargins(0, 0, 0, 0)
        self.num_4 = QLabel(self.layoutWidget_7)
        self.num_4.setObjectName(u"num_4")
        self.num_4.setMaximumSize(QSize(25, 25))
        self.num_4.setStyleSheet(u"background-image: url(:/icons/images/icons/No4.png);\n"
                                 "background-repeat:no-repeat")

        self.horizontalLayout_10.addWidget(self.num_4)

        self.text_4 = QLabel(self.layoutWidget_7)
        self.text_4.setObjectName(u"text_4")
        self.text_4.setMaximumSize(QSize(60, 27))

        self.horizontalLayout_10.addWidget(self.text_4)

        self.description1_4 = QLabel(self.frame_4)
        self.description1_4.setObjectName(u"description1_4")
        self.description1_4.setGeometry(QRect(23, 138, 111, 61))
        self.description1_4.setAlignment(Qt.AlignmentFlag.AlignCenter)
        self.description1_4.setWordWrap(True)
        self.img_4 = QLabel(self.frame_4)
        self.img_4.setObjectName(u"img_4")
        self.img_4.setGeometry(QRect(40, 50, 71, 81))
        self.img_4.setStyleSheet(u"background-image: url(:/icons/images/icons/save.png);\n"
                                 "background-repeat:no-repeat;")

        self.process_4.addWidget(self.frame_4)

        self.horizontalLayout_13.addLayout(self.process_4)

        self.verticalLayout_21.addLayout(self.horizontalLayout_13)

        self.frame_5 = QFrame(self.home)
        self.frame_5.setObjectName(u"frame_5")
        self.frame_5.setFrameShape(QFrame.Shape.StyledPanel)
        self.frame_5.setFrameShadow(QFrame.Shadow.Sunken)
        self.frame_5.setLineWidth(1)
        self.frame_5.setMidLineWidth(0)
        self.label_2 = QLabel(self.frame_5)
        self.label_2.setObjectName(u"label_2")
        self.label_2.setGeometry(QRect(10, 10, 61, 21))
        self.label_3 = QLabel(self.frame_5)
        self.label_3.setObjectName(u"label_3")
        self.label_3.setGeometry(QRect(13, 35, 761, 181))
        self.label_3.setWordWrap(True)

        self.verticalLayout_21.addWidget(self.frame_5)

        self.verticalLayout_15.addLayout(self.verticalLayout_21)

        self.stackedWidget.addWidget(self.home)
        self.widgets = QWidget()
        self.widgets.setObjectName(u"widgets")
        self.widgets.setStyleSheet(u"b")
        self.verticalLayout = QVBoxLayout(self.widgets)
        self.verticalLayout.setSpacing(20)
        self.verticalLayout.setObjectName(u"verticalLayout")
        self.verticalLayout.setContentsMargins(10, 10, 10, 10)
        self.row_1 = QFrame(self.widgets)
        self.row_1.setObjectName(u"row_1")
        self.row_1.setMinimumSize(QSize(0, 0))
        self.row_1.setMaximumSize(QSize(16777215, 113))
        self.row_1.setFrameShape(QFrame.Shape.StyledPanel)
        self.row_1.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_16 = QVBoxLayout(self.row_1)
        self.verticalLayout_16.setSpacing(0)
        self.verticalLayout_16.setObjectName(u"verticalLayout_16")
        self.verticalLayout_16.setContentsMargins(0, 0, 0, 0)
        self.frame_div_content_1 = QFrame(self.row_1)
        self.frame_div_content_1.setObjectName(u"frame_div_content_1")
        self.frame_div_content_1.setMinimumSize(QSize(0, 110))
        self.frame_div_content_1.setMaximumSize(QSize(16777215, 110))
        self.frame_div_content_1.setFrameShape(QFrame.Shape.NoFrame)
        self.frame_div_content_1.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_17 = QVBoxLayout(self.frame_div_content_1)
        self.verticalLayout_17.setSpacing(0)
        self.verticalLayout_17.setObjectName(u"verticalLayout_17")
        self.verticalLayout_17.setContentsMargins(0, 0, 0, 0)
        self.frame_title_wid_1 = QFrame(self.frame_div_content_1)
        self.frame_title_wid_1.setObjectName(u"frame_title_wid_1")
        self.frame_title_wid_1.setMaximumSize(QSize(16777215, 34))
        self.frame_title_wid_1.setFrameShape(QFrame.Shape.NoFrame)
        self.frame_title_wid_1.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_18 = QVBoxLayout(self.frame_title_wid_1)
        self.verticalLayout_18.setObjectName(u"verticalLayout_18")
        self.labelBoxBlenderInstalation = QLabel(self.frame_title_wid_1)
        self.labelBoxBlenderInstalation.setObjectName(u"labelBoxBlenderInstalation")
        self.labelBoxBlenderInstalation.setFont(font)
        self.labelBoxBlenderInstalation.setStyleSheet(u"")

        self.verticalLayout_18.addWidget(self.labelBoxBlenderInstalation)

        self.verticalLayout_17.addWidget(self.frame_title_wid_1)

        self.frame_content_wid_1 = QFrame(self.frame_div_content_1)
        self.frame_content_wid_1.setObjectName(u"frame_content_wid_1")
        self.frame_content_wid_1.setMinimumSize(QSize(0, 65))
        self.frame_content_wid_1.setMaximumSize(QSize(16777215, 300))
        self.frame_content_wid_1.setFrameShape(QFrame.Shape.NoFrame)
        self.frame_content_wid_1.setFrameShadow(QFrame.Shadow.Raised)
        self.horizontalLayout_9 = QHBoxLayout(self.frame_content_wid_1)
        self.horizontalLayout_9.setObjectName(u"horizontalLayout_9")
        self.gridLayout = QGridLayout()
        self.gridLayout.setObjectName(u"gridLayout")
        self.gridLayout.setHorizontalSpacing(7)
        self.gridLayout.setVerticalSpacing(4)
        self.gridLayout.setContentsMargins(-1, -1, -1, 0)
        self.label = QLabel(self.frame_content_wid_1)
        self.label.setObjectName(u"label")
        self.label.setMaximumSize(QSize(60, 16777215))

        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)

        self.comboBox = QComboBox(self.frame_content_wid_1)
        self.comboBox.setObjectName(u"comboBox")
        self.comboBox.setMaximumSize(QSize(350, 16777215))
        self.comboBox.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        self.comboBox.setStyleSheet(u"QComboBox QAbstractItemView {\n"
                                    "    border: 2px solid #282c34;\n"
                                    "	background-color: rgba(40, 44, 52,.7);\n"
                                    "    border-radius-bottom: 15px;\n"
                                    "    padding: 1px 2px 1px 2px;  \n"
                                    "    min-width: 9em;   \n"
                                    "}\n"
                                    "")
        # 获取当前脚本所在的目录
        current_dir = os.getcwd()

        # 构建 SQL 文件夹的相对路径（上一级的上一级中的 SQL 文件夹）
        # sql_folder = os.path.join(current_dir, '..', '..', 'SQL')
        sql_folder = os.path.join('SQL')

        # 将相对路径转换为绝对路径
        sql_folder = resource_path(sql_folder)

        # 确保 SQL 文件夹存在
        if not os.path.exists(sql_folder):
            QMessageBox.critical(MainWindow, "错误", "项目文件夹不存在")
            return
        # 初始化 ComboBoxUpdater
        self.updater = ComboBoxUpdater(self.comboBox, sql_folder)
        self.observer = Observer()
        self.observer.schedule(self.updater, path=sql_folder, recursive=False)
        self.observer.start()

        # 更新 comboBox 的初始内容
        self.updater.update_combo_box()

        self.gridLayout.addWidget(self.comboBox, 0, 1, 1, 1)

        self.lineEdit = CustomLineEdit(self.frame_content_wid_1)
        self.lineEdit.setObjectName(u"lineEdit")
        self.lineEdit.setMinimumSize(QSize(0, 25))
        self.lineEdit.setMaximumSize(QSize(250, 35))
        self.lineEdit.setStyleSheet(u"background-color: rgb(33, 37, 43);")

        self.gridLayout.addWidget(self.lineEdit, 0, 2, 1, 1)

        self.createFile = QPushButton(self.frame_content_wid_1)
        self.createFile.setObjectName(u"createFile")
        self.createFile.setMinimumSize(QSize(150, 26))
        self.createFile.setMaximumSize(QSize(60, 16777215))
        self.createFile.setFont(font)
        self.createFile.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        self.createFile.setStyleSheet(u"background-color: rgb(52, 59, 72);")
        # 将 createFile 按钮的点击事件与 自身的create_database_and_tables 函数关联，用于创建数据库
        # self.createFile.clicked.connect(create_database_and_tables)
        icon4 = QIcon()
        icon4.addFile(u":/icons/images/icons/cil-folder-open.png", QSize(), QIcon.Mode.Normal, QIcon.State.Off)
        self.createFile.setIcon(icon4)

        self.gridLayout.addWidget(self.createFile, 0, 3, 1, 1)

        self.label_4 = QLabel(self.frame_content_wid_1)
        self.label_4.setObjectName(u"label_4")

        self.gridLayout.addWidget(self.label_4, 1, 0, 1, 1)

        self.comboBox_2 = QComboBox(self.frame_content_wid_1)
        self.comboBox_2.addItem("")
        self.comboBox_2.addItem("")
        self.comboBox_2.addItem("")
        self.comboBox_2.setObjectName(u"comboBox_2")
        # self.comboBox_2.currentTextChanged.connect(lambda: print(self.comboBox_2.currentText()))  # 确定下拉框选择
        self.comboBox_2.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        self.comboBox_2.setStyleSheet(u"QComboBox QAbstractItemView {\n"
                                      "    border: 2px solid #282c34;\n"
                                      "	background-color: rgba(40, 44, 52,.7);\n"
                                      "    border-radius-bottom: 15px;\n"
                                      "    padding: 1px 2px 1px 2px;  \n"
                                      "    min-width: 9em;   \n"
                                      "}")

        self.gridLayout.addWidget(self.comboBox_2, 1, 1, 1, 1)

        self.horizontalLayout_9.addLayout(self.gridLayout)

        self.verticalLayout_17.addWidget(self.frame_content_wid_1)

        self.verticalLayout_16.addWidget(self.frame_div_content_1)

        self.verticalLayout.addWidget(self.row_1)

        self.row_2 = QFrame(self.widgets)
        self.row_2.setObjectName(u"row_2")
        self.row_2.setMinimumSize(QSize(0, 150))
        self.row_2.setMaximumSize(QSize(16777215, 150))
        self.row_2.setFrameShape(QFrame.Shape.StyledPanel)
        self.row_2.setFrameShadow(QFrame.Shadow.Raised)
        self.formLayout = QFormLayout(self.row_2)
        self.formLayout.setObjectName(u"formLayout")
        self.upload = QPushButton(self.row_2)
        self.upload.setObjectName(u"upload")
        sizePolicy2.setHeightForWidth(self.upload.sizePolicy().hasHeightForWidth())
        self.upload.setSizePolicy(sizePolicy2)
        self.upload.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        self.upload.setStyleSheet(u"color: rgb(178, 138, 234);\n"
                                  "")
        # self.upload.clicked.connect(self.execute_script_based_on_selection)
        self.formLayout.setWidget(0, QFormLayout.SpanningRole, self.upload)

        self.compute = QPushButton(self.row_2)
        self.compute.setObjectName(u"compute")
        self.compute.setMinimumSize(QSize(65, 25))
        self.compute.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))

        self.formLayout.setWidget(1, QFormLayout.LabelRole, self.compute)

        self.verticalLayout.addWidget(self.row_2)

        self.row_3 = QFrame(self.widgets)
        self.row_3.setObjectName(u"row_3")
        self.row_3.setMinimumSize(QSize(0, 0))
        self.row_3.setMaximumSize(QSize(16777215, 180))
        self.row_3.setFrameShape(QFrame.Shape.StyledPanel)
        self.row_3.setFrameShadow(QFrame.Shadow.Raised)
        self.row_3.setLineWidth(1)
        self.formLayout_2 = QFormLayout(self.row_3)
        self.formLayout_2.setObjectName(u"formLayout_2")
        self.formLayout_2.setHorizontalSpacing(6)
        self.formLayout_2.setVerticalSpacing(6)
        self.formLayout_2.setContentsMargins(-1, 27, -1, -1)
        self.gridLayout_2 = QGridLayout()
        self.gridLayout_2.setObjectName(u"gridLayout_2")
        self.gridLayout_2.setHorizontalSpacing(25)
        self.verticalLayout_19 = QVBoxLayout()
        self.verticalLayout_19.setSpacing(0)
        self.verticalLayout_19.setObjectName(u"verticalLayout_19")
        self.label_6 = QLabel(self.row_3)
        self.label_6.setObjectName(u"label_6")

        self.verticalLayout_19.addWidget(self.label_6)

        self.label_5 = QLabel(self.row_3)
        self.label_5.setObjectName(u"label_5")

        self.verticalLayout_19.addWidget(self.label_5)

        self.gridLayout_2.addLayout(self.verticalLayout_19, 0, 0, 1, 1)

        self.verticalLayout_22 = QVBoxLayout()
        self.verticalLayout_22.setSpacing(16)
        self.verticalLayout_22.setObjectName(u"verticalLayout_22")
        self.download_1 = QPushButton(self.row_3)
        self.download_1.setObjectName(u"download_1")
        self.download_1.clicked.connect(self.main_window.on_download_1_clicked)
        self.verticalLayout_22.addWidget(self.download_1)
        # 下载2
        self.download_2 = QPushButton(self.row_3)
        self.download_2.setObjectName(u"download_2")
        self.download_2.clicked.connect(self.main_window.on_download_2_clicked)
        self.verticalLayout_22.addWidget(self.download_2)
        # 下载3
        self.download_3 = QPushButton(self.row_3)
        self.download_3.setObjectName(u"download_3")
        self.download_3.clicked.connect(self.main_window.on_download_3_clicked)

        self.verticalLayout_22.addWidget(self.download_3)

        self.gridLayout_2.addLayout(self.verticalLayout_22, 0, 1, 1, 1)

        self.verticalLayout_23 = QVBoxLayout()
        self.verticalLayout_23.setSpacing(3)
        self.verticalLayout_23.setObjectName(u"verticalLayout_23")
        self.label_7 = QLabel(self.row_3)
        self.label_7.setObjectName(u"label_7")

        self.verticalLayout_23.addWidget(self.label_7)

        self.label_8 = QLabel(self.row_3)
        self.label_8.setObjectName(u"label_8")

        self.verticalLayout_23.addWidget(self.label_8)

        self.label_9 = QLabel(self.row_3)
        self.label_9.setObjectName(u"label_9")

        self.verticalLayout_23.addWidget(self.label_9)

        self.gridLayout_2.addLayout(self.verticalLayout_23, 0, 2, 1, 1)

        self.formLayout_2.setLayout(0, QFormLayout.SpanningRole, self.gridLayout_2)

        self.verticalLayout.addWidget(self.row_3)

        self.stackedWidget.addWidget(self.widgets)
        self.new_page = QWidget()
        self.new_page.setObjectName(u"new_page")
        self.verticalLayout_25 = QVBoxLayout(self.new_page)
        self.verticalLayout_25.setObjectName(u"verticalLayout_25")
        self.verticalLayout_20 = QVBoxLayout()
        self.verticalLayout_20.setObjectName(u"verticalLayout_20")
        self.label_10 = QLabel(self.new_page)
        self.label_10.setObjectName(u"label_10")

        self.verticalLayout_20.addWidget(self.label_10)

        self.tabWidget = QTabWidget(self.new_page)
        self.tabWidget.setObjectName(u"tabWidget")
        self.tabWidget.setCursor(QCursor(Qt.CursorShape.ArrowCursor))
        self.tabWidget.setTabPosition(QTabWidget.TabPosition.North)
        self.tabWidget.setTabShape(QTabWidget.TabShape.Rounded)
        self.tabWidget.setElideMode(Qt.TextElideMode.ElideRight)
        self.tabWidget.setTabsClosable(False)
        self.tabWidget.setTabBarAutoHide(False)

        self.resultTable = QWidget()
        self.resultTable.setObjectName(u"resultTable")
        self.verticalLayout_29 = QVBoxLayout(self.resultTable)
        self.verticalLayout_29.setObjectName(u"verticalLayout_29")
        self.resultTableView = QTableView(self.resultTable)
        self.resultTableView.setObjectName(u"resultTableView")

        # 隐藏 resultTableView
        self.resultTableView.hide()

        # 创建一个 QLabel 并设置文本(第三页文本中心默认提醒）
        self.default_remind = QLabel("在上一步计算完成后将显示结果", self.resultTable)
        self.default_remind.setAlignment(Qt.AlignCenter)  # 设置文本居中对齐
        # 将 QLabel 添加到布局中
        self.verticalLayout_29.addWidget(self.default_remind)
        # 表格显示
        self.verticalLayout_29.addWidget(self.resultTableView)

        icon5 = QIcon()
        icon5.addFile(u":/icons/images/icons/1.png", QSize(), QIcon.Mode.Normal, QIcon.State.Off)
        self.tabWidget.addTab(self.resultTable, icon5, "")

        self.printTable = QWidget()
        self.printTable.setObjectName(u"printTable")
        self.printTable.setMouseTracking(False)
        self.printTable.setTabletTracking(False)
        self.verticalLayout_28 = QVBoxLayout(self.printTable)
        self.verticalLayout_28.setObjectName(u"verticalLayout_28")
        self.printTableView = QTextEdit(self.printTable)
        self.printTableView.setObjectName(u"printTableView")
        self.printTableView.setReadOnly(True)
        self.verticalLayout_28.addWidget(self.printTableView)
        icon6 = QIcon()
        icon6.addFile(u":/icons/images/icons/2.png", QSize(), QIcon.Mode.Normal, QIcon.State.Off)
        self.tabWidget.addTab(self.printTable, icon6, "")

        self.reconTable = QWidget()
        self.reconTable.setObjectName(u"reconTable")
        # self.reconTable.setCursor(QCursor(Qt.CursorShape.UpArrowCursor))
        self.reconTable.setMouseTracking(False)
        self.reconTable.setTabletTracking(False)
        self.verticalLayout_26 = QVBoxLayout(self.reconTable)
        self.verticalLayout_26.setObjectName(u"verticalLayout_26")
        self.reconTableView = QTableView(self.reconTable)
        self.reconTableView.setObjectName(u"modelTableView")
        self.verticalLayout_26.addWidget(self.reconTableView)
        icon7 = QIcon()
        icon7.addFile(u":/icons/images/icons/3.png", QSize(), QIcon.Mode.Normal, QIcon.State.Off)
        self.tabWidget.addTab(self.reconTable, icon7, "")

        self.verticalLayout_20.addWidget(self.tabWidget)

        self.verticalLayout_25.addLayout(self.verticalLayout_20)

        self.export_2 = QPushButton(self.new_page)
        self.export_2.setObjectName(u"export_2")
        self.export_2.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        self.export_2.setStyleSheet(u"background-color: rgb(52, 59, 72);")

        self.verticalLayout_25.addWidget(self.export_2)

        self.stackedWidget.addWidget(self.new_page)
        self.datainfo = QWidget()
        self.datainfo.setObjectName(u"datainfo")
        self.formLayout_3 = QFormLayout(self.datainfo)
        self.formLayout_3.setObjectName(u"formLayout_3")
        self.verticalLayout_24 = QVBoxLayout()
        self.verticalLayout_24.setSpacing(6)
        self.verticalLayout_24.setObjectName(u"verticalLayout_24")
        self.horizontalLayout_12 = QHBoxLayout()
        self.horizontalLayout_12.setObjectName(u"horizontalLayout_12")
        self.lineEdit_2 = CustomLineEdit(self.datainfo)
        self.lineEdit_2.setObjectName(u"lineEdit_2")
        self.lineEdit_2.setStyleSheet(u"background-color: rgb(33, 37, 43);")

        self.horizontalLayout_12.addWidget(self.lineEdit_2)

        # 设置导出结果显示页面（tabWidget）的默认隐藏2.3页
        self.tabWidget.setTabVisible(1, False)
        self.tabWidget.setTabVisible(2, False)

        self.search = QPushButton(self.datainfo)
        self.search.setObjectName(u"search")
        sizePolicy4 = QSizePolicy(QSizePolicy.Policy.Minimum, QSizePolicy.Policy.Fixed)
        sizePolicy4.setHorizontalStretch(0)
        sizePolicy4.setVerticalStretch(0)
        sizePolicy4.setHeightForWidth(self.search.sizePolicy().hasHeightForWidth())
        self.search.setSizePolicy(sizePolicy4)
        self.search.setMinimumSize(QSize(10, 10))
        self.search.setMaximumSize(QSize(30, 24))
        self.search.setStyleSheet(u"")
        icon9 = QIcon()
        icon9.addFile(u":/icons/images/icons/cil-magnifying-glass.png", QSize(), QIcon.Mode.Normal, QIcon.State.Off)
        self.search.setIcon(icon9)

        self.horizontalLayout_12.addWidget(self.search)

        self.verticalLayout_24.addLayout(self.horizontalLayout_12)

        self.comboBox_3 = QComboBox(self.datainfo)
        self.comboBox_3.setObjectName(u"comboBox_3")
        self.comboBox_3.setStyleSheet(u"QComboBox QAbstractItemView {\n"
                                      "    border: 2px solid #282c34;\n"
                                      "	background-color: rgba(40, 44, 52,.7);\n"
                                      "    border-radius-bottom: 15px;\n"
                                      "    padding: 1px 2px 1px 2px;  \n"
                                      "    min-width: 9em;   \n"
                                      "}")

        self.verticalLayout_24.addWidget(self.comboBox_3)

        self.qureyTreeWidget = QTreeWidget(self.datainfo)
        self.qureyTreeWidget.setObjectName(u"qureyTreeWidget")
        # 在 setupUi 方法中添加 QLabel（显示搜索默认提示）
        self.defaultLabel = QLabel(self.datainfo)
        self.defaultLabel.setObjectName(u"defaultLabel")
        self.defaultLabel.setText("搜索后显示文件")
        self.defaultLabel.setAlignment(Qt.AlignCenter)
        self.defaultLabel.setGeometry(QRect(90, 150, self.qureyTreeWidget.width(), self.qureyTreeWidget.height()))
        self.defaultLabel.setVisible(True)  # 默认显示

        self.verticalLayout_24.addWidget(self.qureyTreeWidget)

        self.comboBox_4 = QComboBox(self.datainfo)
        self.comboBox_4.setObjectName(u"comboBox_4")
        self.comboBox_4.setStyleSheet(u"QComboBox QAbstractItemView {\n"
                                      "    border: 2px solid #282c34;\n"
                                      "	background-color: rgba(40, 44, 52,.7);\n"
                                      "    border-radius-bottom: 15px;\n"
                                      "    padding: 1px 2px 1px 2px;  \n"
                                      "    min-width: 9em;   \n"
                                      "}")

        self.verticalLayout_24.addWidget(self.comboBox_4)

        self.allTreeWidget = QTreeWidget(self.datainfo)
        self.allTreeWidget.setObjectName(u"allTreeWidget")

        self.verticalLayout_24.addWidget(self.allTreeWidget)

        self.formLayout_3.setLayout(0, QFormLayout.LabelRole, self.verticalLayout_24)

        self.verticalLayout_30 = QVBoxLayout()
        self.verticalLayout_30.setObjectName(u"verticalLayout_30")
        self.horizontalLayout_11 = QHBoxLayout()
        self.horizontalLayout_11.setObjectName(u"horizontalLayout_11")
        # 留个空，什么编辑排序筛选可以放在这儿
        # self.edit_button = QPushButton(self.datainfo)
        # self.edit_button.setObjectName(u"edit_button")
        # sizePolicy4 = QSizePolicy(QSizePolicy.Policy.Minimum, QSizePolicy.Policy.Fixed)
        # sizePolicy4.setHorizontalStretch(0)
        # sizePolicy4.setVerticalStretch(0)
        # sizePolicy4.setHeightForWidth(self.edit_button.sizePolicy().hasHeightForWidth())
        # self.edit_button.setSizePolicy(sizePolicy4)
        # self.edit_button.setMinimumSize(QSize(10, 10))
        # self.edit_button.setMaximumSize(QSize(30, 24))
        # self.edit_button.setStyleSheet(u"")

        # self.horizontalLayout_11.addWidget(self.edit_button)
        # self.verticalLayout_30.addLayout(self.horizontalLayout_11)

        self.horizontalLayout_14 = QHBoxLayout()
        self.horizontalLayout_14.setObjectName(u"horizontalLayout_14")
        self.verticalLayout_30.addLayout(self.horizontalLayout_14)

        self.horizontalLayout_15 = QHBoxLayout()
        self.horizontalLayout_15.setObjectName(u"horizontalLayout_15")
        self.verticalLayout_30.addLayout(self.horizontalLayout_15)

        self.View = QTabWidget(self.datainfo)
        self.View.setObjectName(u"View")
        self.View.setCursor(QCursor(Qt.CursorShape.ArrowCursor))
        self.View.setTabPosition(QTabWidget.TabPosition.North)
        self.View.setTabShape(QTabWidget.TabShape.Rounded)
        self.View.setElideMode(Qt.TextElideMode.ElideRight)
        self.View.setTabsClosable(False)
        self.View.setTabBarAutoHide(False)

        self.verticalLayout_30.addWidget(self.View)

        self.resultTable1 = QWidget()
        self.resultTable1.setObjectName(u"resultTable1")
        self.verticalLayout_34 = QVBoxLayout(self.resultTable1)
        self.verticalLayout_34.setObjectName(u"verticalLayout_34")
        self.resultTableView1 = QTableView(self.resultTable1)
        self.resultTableView1.setObjectName(u"resultTableView1")

        # 隐藏 resultTableView
        self.resultTableView1.hide()

        # 创建一个 QLabel 并设置文本(第三页文本中心默认提醒）
        self.default_remind1 = QLabel("左侧点击具体表即可显示", self.resultTable1)
        self.default_remind1.setAlignment(Qt.AlignCenter)  # 设置文本居中对齐
        # 将 QLabel 添加到布局中
        self.verticalLayout_34.addWidget(self.default_remind1)
        # 表格显示
        self.verticalLayout_34.addWidget(self.resultTableView1)

        icon51 = QIcon()
        icon51.addFile(u":/icons/images/icons/1.png", QSize(), QIcon.Mode.Normal, QIcon.State.Off)
        self.View.addTab(self.resultTable1, icon51, "")

        self.reconTable1 = QWidget()
        self.reconTable1.setObjectName(u"reconTable1")
        # self.reconTable.setCursor(QCursor(Qt.CursorShape.UpArrowCursor))
        self.reconTable1.setMouseTracking(False)
        self.reconTable1.setTabletTracking(False)
        self.verticalLayout_36 = QVBoxLayout(self.reconTable1)
        self.verticalLayout_36.setObjectName(u"verticalLayout_36")
        self.reconTableView1 = QTableView(self.reconTable1)
        self.reconTableView1.setObjectName(u"modelTableView1")
        self.verticalLayout_36.addWidget(self.reconTableView1)
        icon7 = QIcon()
        icon7.addFile(u":/icons/images/icons/2.png", QSize(), QIcon.Mode.Normal, QIcon.State.Off)
        self.View.addTab(self.reconTable1, icon7, "")

        self.printTable1 = QWidget()
        self.printTable1.setObjectName(u"printTable1")
        self.printTable1.setMouseTracking(False)
        self.printTable1.setTabletTracking(False)
        self.verticalLayout_35 = QVBoxLayout(self.printTable1)
        self.verticalLayout_35.setObjectName(u"verticalLayout_35")
        self.printTableView1 = QTextEdit(self.printTable1)
        self.printTableView1.setObjectName(u"printTableView1")
        self.printTableView1.setReadOnly(True)
        self.verticalLayout_35.addWidget(self.printTableView1)
        icon6 = QIcon()
        icon6.addFile(u":/icons/images/icons/3.png", QSize(), QIcon.Mode.Normal, QIcon.State.Off)
        self.View.addTab(self.printTable1, icon6, "")

        self.inputTable1 = QWidget()
        self.inputTable1.setObjectName(u"inputTable1")
        # self.inputTable.setCursor(QCursor(Qt.CursorShape.UpArrowCursor))
        self.inputTable1.setMouseTracking(False)
        self.inputTable1.setTabletTracking(False)
        self.verticalLayout_37 = QVBoxLayout(self.inputTable1)
        self.verticalLayout_37.setObjectName(u"verticalLayout_37")
        self.inputTableView1 = QTableView(self.inputTable1)
        self.inputTableView1.setObjectName(u"inputTableView1")
        self.verticalLayout_37.addWidget(self.inputTableView1)
        icon8 = QIcon()
        icon8.addFile(u":/icons/images/icons/4.png", QSize(), QIcon.Mode.Normal, QIcon.State.Off)
        self.View.addTab(self.inputTable1, icon8, "")

        # 设置导出结果显示页面（View）的默认隐藏2.3页
        self.View.setTabVisible(1, False)
        self.View.setTabVisible(2, False)
        self.View.setTabVisible(3, False)

        # 设置自动view里所有tableview的自动排序
        # self.resultTableView.setSortingEnabled(True)
        # self.resultTableView1.setSortingEnabled(True)
        # self.reconTableView.setSortingEnabled(True)
        # self.reconTableView1.setSortingEnabled(True)
        # self.inputTableView1.setSortingEnabled(True)

        # 都不能编辑
        self.resultTableView.setEditTriggers(QTableView.EditTrigger.NoEditTriggers)
        self.resultTableView1.setEditTriggers(QTableView.EditTrigger.NoEditTriggers)
        self.reconTableView.setEditTriggers(QTableView.EditTrigger.NoEditTriggers)
        self.reconTableView1.setEditTriggers(QTableView.EditTrigger.NoEditTriggers)
        self.inputTableView1.setEditTriggers(QTableView.EditTrigger.NoEditTriggers)

        self.formLayout_3.setLayout(0, QFormLayout.FieldRole, self.verticalLayout_30)

        self.stackedWidget.addWidget(self.datainfo)

        self.gridLayout_3.addWidget(self.stackedWidget, 0, 0, 1, 1)

        self.horizontalLayout_4.addWidget(self.pagesContainer)

        self.extraRightBox = QFrame(self.content)
        self.extraRightBox.setObjectName(u"extraRightBox")
        self.extraRightBox.setMinimumSize(QSize(0, 0))
        self.extraRightBox.setMaximumSize(QSize(0, 16777215))
        self.extraRightBox.setFrameShape(QFrame.Shape.NoFrame)
        self.extraRightBox.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_7 = QVBoxLayout(self.extraRightBox)
        self.verticalLayout_7.setSpacing(0)
        self.verticalLayout_7.setObjectName(u"verticalLayout_7")
        self.verticalLayout_7.setContentsMargins(0, 0, 0, 0)
        self.themeSettingsTopDetail = QFrame(self.extraRightBox)
        self.themeSettingsTopDetail.setObjectName(u"themeSettingsTopDetail")
        self.themeSettingsTopDetail.setMaximumSize(QSize(16777215, 3))
        self.themeSettingsTopDetail.setFrameShape(QFrame.Shape.NoFrame)
        self.themeSettingsTopDetail.setFrameShadow(QFrame.Shadow.Raised)

        self.verticalLayout_7.addWidget(self.themeSettingsTopDetail)

        self.contentSettings = QFrame(self.extraRightBox)
        self.contentSettings.setObjectName(u"contentSettings")
        self.contentSettings.setFrameShape(QFrame.Shape.NoFrame)
        self.contentSettings.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_13 = QVBoxLayout(self.contentSettings)
        self.verticalLayout_13.setSpacing(0)
        self.verticalLayout_13.setObjectName(u"verticalLayout_13")
        self.verticalLayout_13.setContentsMargins(0, 0, 0, 0)
        self.topMenus = QFrame(self.contentSettings)
        self.topMenus.setObjectName(u"topMenus")
        self.topMenus.setFrameShape(QFrame.Shape.NoFrame)
        self.topMenus.setFrameShadow(QFrame.Shadow.Raised)
        self.verticalLayout_14 = QVBoxLayout(self.topMenus)
        self.verticalLayout_14.setSpacing(0)
        self.verticalLayout_14.setObjectName(u"verticalLayout_14")
        self.verticalLayout_14.setContentsMargins(0, 0, 0, 0)
        self.btn_message = QPushButton(self.topMenus)
        self.btn_message.setObjectName(u"btn_message")
        sizePolicy.setHeightForWidth(self.btn_message.sizePolicy().hasHeightForWidth())
        self.btn_message.setSizePolicy(sizePolicy)
        self.btn_message.setMinimumSize(QSize(0, 45))
        self.btn_message.setFont(font)
        self.btn_message.setCursor(QCursor(Qt.CursorShape.PointingHandCursor))
        self.btn_message.setLayoutDirection(Qt.LayoutDirection.LeftToRight)
        self.btn_message.setStyleSheet(u"background-image: url(:/icons/images/icons/cil-loop-circular.png);")

        self.verticalLayout_14.addWidget(self.btn_message)

        self.verticalLayout_13.addWidget(self.topMenus, 0, Qt.AlignmentFlag.AlignTop)

        self.verticalLayout_7.addWidget(self.contentSettings)

        self.horizontalLayout_4.addWidget(self.extraRightBox)

        self.verticalLayout_6.addWidget(self.content)

        self.bottomBar = QFrame(self.contentBottom)
        self.bottomBar.setObjectName(u"bottomBar")
        self.bottomBar.setMinimumSize(QSize(0, 22))
        self.bottomBar.setMaximumSize(QSize(16777215, 22))
        self.bottomBar.setFrameShape(QFrame.Shape.NoFrame)
        self.bottomBar.setFrameShadow(QFrame.Shadow.Raised)
        self.horizontalLayout_5 = QHBoxLayout(self.bottomBar)
        self.horizontalLayout_5.setSpacing(0)
        self.horizontalLayout_5.setObjectName(u"horizontalLayout_5")
        self.horizontalLayout_5.setContentsMargins(0, 0, 0, 0)
        self.creditsLabel = QLabel(self.bottomBar)
        self.creditsLabel.setObjectName(u"creditsLabel")
        self.creditsLabel.setMaximumSize(QSize(16777215, 16))
        font4 = QFont()
        font4.setFamilies([u"Segoe UI"])
        font4.setBold(False)
        font4.setItalic(False)
        self.creditsLabel.setFont(font4)
        self.creditsLabel.setAlignment(
            Qt.AlignmentFlag.AlignLeading | Qt.AlignmentFlag.AlignLeft | Qt.AlignmentFlag.AlignVCenter)

        self.horizontalLayout_5.addWidget(self.creditsLabel)

        self.version = QLabel(self.bottomBar)
        self.version.setObjectName(u"version")
        self.version.setAlignment(
            Qt.AlignmentFlag.AlignRight | Qt.AlignmentFlag.AlignTrailing | Qt.AlignmentFlag.AlignVCenter)

        self.horizontalLayout_5.addWidget(self.version)

        self.frame_size_grip = QFrame(self.bottomBar)
        self.frame_size_grip.setObjectName(u"frame_size_grip")
        self.frame_size_grip.setMinimumSize(QSize(20, 0))
        self.frame_size_grip.setMaximumSize(QSize(20, 16777215))
        self.frame_size_grip.setFrameShape(QFrame.Shape.NoFrame)
        self.frame_size_grip.setFrameShadow(QFrame.Shadow.Raised)

        self.horizontalLayout_5.addWidget(self.frame_size_grip)

        self.verticalLayout_6.addWidget(self.bottomBar)

        self.verticalLayout_2.addWidget(self.contentBottom)

        self.appLayout.addWidget(self.contentBox)

        self.appMargins.addWidget(self.bgApp)

        MainWindow.setCentralWidget(self.styleSheet)

        self.retranslateUi(MainWindow)

        self.stackedWidget.setCurrentIndex(1)
        self.tabWidget.setCurrentIndex(0)

    # setupUi

    # UI中的文字样式以及文字内容，Unicode编码的形式进行文字编辑的
    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle(QCoreApplication.translate("MainWindow", u"MainWindow", None))
        self.titleLeftApp.setText(
            QCoreApplication.translate("MainWindow", u"\u56db\u5ddd\u4e2d\u6c34\u6210\u52d8\u9662", None))
        self.titleLeftDescription.setText(QCoreApplication.translate("MainWindow", u"CMC", None))
        self.toggleButton.setText(QCoreApplication.translate("MainWindow", u"\u83dc\u5355", None))
        self.btn_home.setText(QCoreApplication.translate("MainWindow", u"\u9996\u9875", None))
        self.btn_widgets.setText(QCoreApplication.translate("MainWindow", u"\u8f93\u5165\u8868\u683c", None))
        self.btn_new.setText(QCoreApplication.translate("MainWindow", u"\u6210\u679c\u9884\u89c8", None))
        self.btn_data.setText(QCoreApplication.translate("MainWindow", u"\u6570\u636e\u4e00\u89c8", None))
        self.extraLabel.setText(QCoreApplication.translate("MainWindow", u"Left Box", None))
        # if QT_CONFIG(tooltip)
        self.extraCloseColumnBtn.setToolTip(QCoreApplication.translate("MainWindow", u"Close left box", None))
        # endif // QT_CONFIG(tooltip)
        self.extraCloseColumnBtn.setText("")
        self.btn_share.setText(QCoreApplication.translate("MainWindow", u"Share", None))
        self.btn_adjustments.setText(QCoreApplication.translate("MainWindow", u"Adjustments", None))
        self.btn_more.setText(QCoreApplication.translate("MainWindow", u"More", None))
        self.textEdit.setHtml(QCoreApplication.translate("MainWindow",
                                                         u"<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
                                                         "<html><head><meta name=\"qrichtext\" content=\"1\" /><meta charset=\"utf-8\" /><style type=\"text/css\">\n"
                                                         "p, li { white-space: pre-wrap; }\n"
                                                         "hr { height: 1px; border-width: 0; }\n"
                                                         "li.unchecked::marker { content: \"\\2610\"; }\n"
                                                         "li.checked::marker { content: \"\\2612\"; }\n"
                                                         "</style></head><body style=\" font-family:'Segoe UI'; font-size:10pt; font-weight:400; font-style:normal;\">\n"
                                                         "<p align=\"center\" style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:12pt; font-weight:600; color:#ff79c6;\">PyDracula</span></p>\n"
                                                         "<p align=\"center\" style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ffffff;\">An interface created using Python and PySide (support for PyQt), and with colors based on the Dracula theme created by Zen"
                                                         "o Rocha.</span></p>\n"
                                                         "<p align=\"center\" style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#ffffff;\">MIT License</span></p>\n"
                                                         "<p align=\"center\" style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" color:#bd93f9;\">Created by: Wanderson M. Pimenta</span></p>\n"
                                                         "<p align=\"center\" style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:12pt; font-weight:600; color:#ff79c6;\">Convert UI</span></p>\n"
                                                         "<p align=\"center\" style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:9pt; color:#ffffff;\">pyside6-uic main.ui &gt; ui_main.py</span></p>\n"
                                                         "<p align=\"center\" style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-in"
                                                         "dent:0; text-indent:0px;\"><span style=\" font-size:12pt; font-weight:600; color:#ff79c6;\">Convert QRC</span></p>\n"
                                                         "<p align=\"center\" style=\" margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-size:9pt; color:#ffffff;\">pyside6-rcc resources.qrc -o resources_rc.py</span></p></body></html>",
                                                         None))
        self.titleRightInfo.setText(QCoreApplication.translate("MainWindow",
                                                               u"<html><head/><body><p><span style=\" font-size:20pt;\">\u63a7\u5236\u7f51\u590d\u6d4b\u5e73\u9762\u57fa\u51c6\u5f52\u7b97\u7a0b\u5e8f</span></p></body></html>",
                                                               None))
        # if QT_CONFIG(tooltip)
        self.settingsTopBtn.setToolTip(QCoreApplication.translate("MainWindow", u"Settings", None))
        # endif // QT_CONFIG(tooltip)
        self.settingsTopBtn.setText("")
        # if QT_CONFIG(tooltip)
        self.minimizeAppBtn.setToolTip(QCoreApplication.translate("MainWindow", u"Minimize", None))
        # endif // QT_CONFIG(tooltip)
        self.minimizeAppBtn.setText("")
        # if QT_CONFIG(tooltip)
        self.maximizeRestoreAppBtn.setToolTip(QCoreApplication.translate("MainWindow", u"Maximize", None))
        # endif // QT_CONFIG(tooltip)
        self.maximizeRestoreAppBtn.setText("")
        # if QT_CONFIG(tooltip)
        self.closeAppBtn.setToolTip(QCoreApplication.translate("MainWindow", u"Close", None))
        # endif // QT_CONFIG(tooltip)
        self.closeAppBtn.setText("")
        self.title_func.setText(QCoreApplication.translate("MainWindow",
                                                           u"<html><head/><body><p><span style=\" font-size:18pt;\">\u529f\u80fd\u4e00\u89c8</span></p></body></html>",
                                                           None))
        self.text_1.setText(QCoreApplication.translate("MainWindow", u"\u8f93\u5165\u8868\u683c", None))
        self.description1.setText(
            QCoreApplication.translate("MainWindow", u"\u652f\u6301\u4f7f\u7528Excel\u76f4\u63a5\u5bfc\u5165", None))
        self.img_1.setText(
            QCoreApplication.translate("MainWindow", u"<html><head/><body><p><br/></p></body></html>", None))
        self.text_2.setText(QCoreApplication.translate("MainWindow", u"\u6210\u679c\u9884\u89c8", None))
        self.description1_2.setText(QCoreApplication.translate("MainWindow",
                                                               u"\u901a\u8fc7\u63a7\u5236\u7f51\u590d\u6d4b\u5e73\u9762\u57fa\u51c6\u5f52\u7b97\u7b97\u6cd5\u53d6\u5f97\u5f52\u7b97\u6210\u679c",
                                                               None))
        self.img_2.setText(
            QCoreApplication.translate("MainWindow", u"<html><head/><body><p><br/></p></body></html>", None))
        self.text_3.setText(QCoreApplication.translate("MainWindow", u"\u6570\u636e\u4e00\u89c8", None))
        self.description1_3.setText(QCoreApplication.translate("MainWindow",
                                                               u"\u901a\u8fc7\u7b5b\u9009\uff0c\u5bf9\u5df2\u5b58\u50a8\u6570\u636e\u8fdb\u884c\u67e5\u8be2\uff0c\u4fee\u6539\uff0c\u5220\u9664\u7b49\u64cd\u4f5c",
                                                               None))
        self.img_3.setText(
            QCoreApplication.translate("MainWindow", u"<html><head/><body><p><br/></p></body></html>", None))
        self.text_4.setText(QCoreApplication.translate("MainWindow", u"\u8f93\u51fa\u8868\u683c", None))
        self.description1_4.setText(QCoreApplication.translate("MainWindow",
                                                               u"\u5bf9\u8ba1\u7b97\u6570\u636e\u8fdb\u884c\u4fdd\u5b58\uff0c\u5bfc\u51fa\u8ba1\u7b97\u6210\u679c\u6570\u636e",
                                                               None))
        self.img_4.setText(
            QCoreApplication.translate("MainWindow", u"<html><head/><body><p><br/></p></body></html>", None))
        self.label_2.setText(QCoreApplication.translate("MainWindow",
                                                        u"<html><head/><body><p><span style=\" font-size:11pt; font-weight:700;\">\u64cd\u4f5c\u8bf4\u660e</span></p></body></html>",
                                                        None))
        self.label_3.setText(QCoreApplication.translate("MainWindow",
                                                        u"<html><head/><body><p>1.\u5728\u201c\u8f93\u5165\u8868\u683c\u201d\u754c\u9762\uff0c\u5bfc\u5165\u6309\u683c\u5f0f\u7f16\u5199\u597d\u7684\u8f93\u5165\u6570\u636e\uff08\u652f\u6301.xls\u3001.xlsx\u683c\u5f0f\uff09\uff0c\u70b9\u51fb\u201c\u8ba1\u7b97\u201d\u3002</p><p>2.\u81ea\u52a8\u8df3\u8f6c\u201c\u6210\u679c\u9884\u89c8\u201d\u754c\u9762\uff0c\u53ef\u9009\u62e9\u201c\u4fdd\u5b58\u6570\u636e\u201d\u53ca\u201c\u5bfc\u51fa\u6570\u636e\u201d\uff08\u5982\u9700\u4fee\u6539\u8f93\u5165\u503c\uff0c\u8bf7\u5728\u201c\u6570\u636e\u4e00\u89c8\u201d\u5185\u4fee\u6539\uff0c\u65e0\u9700\u518d\u6b21\u4e0a\u4f20Excel\uff09</p><p>3.\u201c\u6570\u636e\u4e00\u89c8\u201d\u754c\u9762\u53ef\u901a\u8fc7\u540d\u79f0/\u5173\u952e\u8bcd\u6a21\u7cca\u67e5\u8be2\u8868\uff0c\u901a\u8fc7\u7b5b\u9009\u6309\u94ae\u53ef\u7b5b\u9009\u7a33\u5b9a\u70b9\u3001\u4f4d\u79fb\u70b9\u3001\u65b0\u5efa\u70b9\u548c\u590d\u5efa\u70b9\u3002</p><p>4.\u201c\u6570\u636e\u4e00\u89c8\u201d\u5de5\u5177\u680f\u4ece\u5de6\u5230\u53f3\u5206\u522b\u5b9e\u73b0\u5168"
                                                        "\u5c4f\u663e\u793a\uff0c\u4e0a\u4e00\u5f20\u8868\uff0c\u4e0b\u4e00\u5f20\u8868\uff0c\u7f16\u8f91\u6570\u636e\uff0c\u4fdd\u5b58\u6570\u636e\uff0c\u5bfc\u51fa\u5f53\u524d\u8868\uff0c\u67e5\u627e\u8868\u5185\u6570\u636e\u64cd\u4f5c\u3002</p><p>5.\u5728\u201c\u6570\u636e\u4e00\u89c8\u201d\u70b9\u51fb\u201c\u7f16\u8f91\u6570\u636e\u201d\u5373\u53ef\u4fee\u6539\u5df2\u5b58\u50a8\u6570\u636e\uff0c\u70b9\u51fb\u201c\u4fdd\u5b58\u6570\u636e\u201d\u5c06\u91cd\u65b0\u8ba1\u7b97\u5e76\u8df3\u8f6c\u201c\u6210\u679c\u9884\u89c8\u201d\u9875\u3002</p><p>6.\u4ec5\u652f\u6301\u5bf9\u57fa\u672c\u6570\u636e\u7684\u4fee\u6539\uff0c\u6210\u679c\u6570\u636e\u8bf7\u5bfc\u51fa\u540e\u81ea\u884c\u4fee\u6539\uff0c\u7cfb\u7edf\u4e0d\u505a\u5b58\u50a8\u3002</p></body></html>",
                                                        None))
        self.labelBoxBlenderInstalation.setText(QCoreApplication.translate("MainWindow",
                                                                           u"<html><head/><body><p><span style=\" font-weight:700;\">\u5bfc\u5165Excel\u8868\u683c</span></p></body></html>",
                                                                           None))
        self.label.setText(QCoreApplication.translate("MainWindow", u"\u9009\u62e9\u9879\u76ee\uff1a", None))

        self.lineEdit.setText("")
        self.lineEdit.setPlaceholderText(QCoreApplication.translate("MainWindow",
                                                                    u"\u6ca1\u6709\u5bf9\u5e94\u9879\u76ee\uff1f\u8bf7\u8f93\u5165\u65b0\u5efa\u7684\u9879\u76ee\u540d",
                                                                    None))
        self.createFile.setText(QCoreApplication.translate("MainWindow", u"\u65b0\u5efa", None))
        self.label_4.setText(
            QCoreApplication.translate("MainWindow", u"\u9009\u62e9\u8ba1\u7b97\u65b9\u5f0f\uff1a", None))

        self.comboBox_2.setItemText(0, QCoreApplication.translate("MainWindow",
                                                                  u"\u63a7\u5236\u7f51\u590d\u6d4b\u5e73\u9762\u57fa\u51c6\u8ba1\u7b97",
                                                                  None))
        self.comboBox_2.setItemText(1, QCoreApplication.translate("MainWindow",
                                                                  u"\u5e73\u9762\u63a7\u5236\u7f51\u7a33\u5b9a\u6027\u8ba1\u7b97",
                                                                  None))
        self.comboBox_2.setItemText(2, QCoreApplication.translate("MainWindow",
                                                                  u"\u6c34\u51c6\u6d4b\u6bb5\u9ad8\u5dee\u7a33\u5b9a\u8ba1\u7b97",
                                                                  None))

        self.comboBox_2.setCurrentText(QCoreApplication.translate("MainWindow",
                                                                  u"\u63a7\u5236\u7f51\u590d\u6d4b\u5e73\u9762\u57fa\u51c6\u8ba1\u7b97",
                                                                  None))
        self.upload.setText(QCoreApplication.translate("MainWindow",
                                                       u"\u9009\u62e9\u8ba1\u7b97\u65b9\u5f0f\u540e\uff0c\u70b9\u51fb\u6b64\u5904\u9009\u62e9\u6587\u4ef6\u8fdb\u884c\u8ba1\u7b97\n"
                                                       "\n"
                                                       "\u652f\u6301Excel\u5355\u4e2a\u6587\u4ef6\u4e0a\u4f20\uff0c\u9ed8\u8ba4\u8bc6\u522b\u7b2c\u4e00\u4e2asheet\u8868\u683c",
                                                       None))
        self.compute.setText(QCoreApplication.translate("MainWindow", u"\u8ba1\u7b97", None))
        self.label_6.setText(QCoreApplication.translate("MainWindow",
                                                        u"<html><head/><body><p><span style=\" font-size:11pt; font-weight:700;\">\u8868\u683c\u793a\u4f8b</span></p></body></html>",
                                                        None))
        self.label_5.setText(QCoreApplication.translate("MainWindow",
                                                        u"<html><head/><body><p><span style=\" font-size:8pt;\">1.\u8bf7\u6309\u5982\u4e0b\u683c\u5f0f\u4fdd\u5b58\u6570\u636e\u8868\uff0c\u53ef\u8bc6\u522bxls\u3001xlsx\u6587\u4ef6\u3002(*\u6c34\u51c6\u6d4b\u6bb5\u9ad8\u5dee\u7a33\u5b9a\u6027\u8ba1\u7b97\u76ee\u524d\u4ec5\u652f\u6301.xlsx\u6587\u4ef6)</span></p><p><span style=\" font-size:8pt;\">2.\u7cfb\u7edf\u5c06\u8bc6\u522b\u7b2c\u4e00\u4e2asheet\u6587\u4ef6\uff0c\u6309\u5bf9\u5e94\u5355\u5143\u683c\u8bfb\u53d6\u6570\u636e\uff08\u5982\u5355\u5143\u683c\u9519\u4f4d\uff0c\u4f1a\u5bfc\u81f4\u7cfb\u7edf\u65e0\u6cd5\u8bc6\u522b\uff09</span></p><p><span style=\" font-size:8pt;\">3.\u6700\u5f31\u8fb9\u8fb9\u957f\u76f8\u5bf9\u4e2d\u8bef\u5dee\u53ef\u8bc6\u522b\u5206\u6570\u5f62\u5f0f\uff0c\u4ec5\u652f\u6301\u82f1\u6587\u72b6\u6001\u4e0b\u201c/\u201d\u4f5c\u4e3a\u5206\u9694\u7b26\u3002</span></p><p><span style=\" font-size:8pt;\">4.\u603b\u8fb9\u6570\u8ba1\u7b97\u65f6\uff0c\u5f80\u8fd4\u7b97\u4e24\u6761\u8fb9\u3002</span></p></body></html>",
                                                        None))
        self.download_1.setText(QCoreApplication.translate("MainWindow", u"\u793a\u4f8b\u4e0b\u8f7d1", None))
        self.download_2.setText(QCoreApplication.translate("MainWindow", u"\u793a\u4f8b\u4e0b\u8f7d2", None))
        self.download_3.setText(QCoreApplication.translate("MainWindow", u"\u793a\u4f8b\u4e0b\u8f7d3", None))
        self.label_7.setText(QCoreApplication.translate("MainWindow",
                                                        u"<html><head/><body><p><span style=\" font-size:8pt;\">\u70b9\u51fb\u4e0b\u8f7d\u5e73\u9762\u63a7\u5236\u7f51\u7a33\u5b9a\u6027\u793a\u4f8b\u8868</span></p></body></html>",
                                                        None))
        self.label_8.setText(QCoreApplication.translate("MainWindow",
                                                        u"<html><head/><body><p><span style=\" font-size:8pt;\">\u70b9\u51fb\u4e0b\u8f7d\u63a7\u5236\u7f51\u590d\u6d4b\u5e73\u9762\u57fa\u51c6\u793a\u4f8b\u8868</span></p></body></html>",
                                                        None))
        self.label_9.setText(QCoreApplication.translate("MainWindow",
                                                        u"<html><head/><body><p><span style=\" font-size:8pt;\">\u70b9\u51fb\u4e0b\u8f7d\u6c34\u51c6\u6d4b\u6bb5\u9ad8\u5dee\u7a33\u5b9a\u793a\u4f8b\u8868</span></p></body></html>",
                                                        None))
        self.label_10.setText(QCoreApplication.translate("MainWindow",
                                                         u"<html><head/><body><p><span style=\" font-size:11pt; font-weight:700;\">\u6210\u679c\u9884\u89c8</span></p></body></html>",
                                                         None))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.resultTable),
                                  QCoreApplication.translate("MainWindow", u"\u6210\u679c\u5c55\u793a\u533a", None))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.reconTable), QCoreApplication.translate("MainWindow",
                                                                                                      u"\u590d\u6d4b\u57fa\u51c6\u5f52\u7b97\u8868",
                                                                                                      None))

        self.tabWidget.setTabText(self.tabWidget.indexOf(self.printTable),
                                  QCoreApplication.translate("MainWindow", u"\u6a21\u578b\u6253\u5370\u8868", None))
        self.export_2.setText(QCoreApplication.translate("MainWindow", u"\u5bfc\u51fa\u6210\u679c", None))
        self.lineEdit_2.setPlaceholderText(
            QCoreApplication.translate("MainWindow", u"\u8bf7\u8f93\u5165\u540d\u79f0/\u5173\u952e\u5b57", None))
        self.search.setText("")
        self.comboBox_3.setPlaceholderText(
            QCoreApplication.translate("MainWindow", u"\u7b26\u5408\u67e5\u8be2\u8981\u6c42\u7684\u8868", None))
        self.comboBox_4.setPlaceholderText(QCoreApplication.translate("MainWindow", u"\u6240\u6709\u8868", None))
        self.btn_message.setText(QCoreApplication.translate("MainWindow", u"\u5207\u6362\u4e3b\u9898", None))
        self.creditsLabel.setText(QCoreApplication.translate("MainWindow", u"\u7248\u6743\u4fe1\u606f", None))
        self.version.setText(QCoreApplication.translate("MainWindow", u"v1.0.0", None))
